Welcome to OpenFX Online Help

3D Overview
and
Program Introduction

Welcome to the On-line HTML Help System


How to Use This Function Reference

How to Use This Help Topic

This overview is intended as a general introduction to the main elements in the package.

More in-depth online help is available for the Animator, Designer, and Renderer modules and can be accessed from within each respective module.


Introduction to 3D

To all intents and purposes, the world we live in is three dimensional. Therefore, if we want to construct a realistic computer model of it, the model should be three dimensional as well.

Unfortunately, the usual display device of a computer (the monitor) is 2 dimensional. However, its seems that 2 dimensions may be enough to convince the viewer that he or she is watching a realistic model of the real world. For example, the images seen on a television.

Nevertheless, we have been restricted to two-dimensional television and two-dimensional cinema for many years and seem very happy with it. This is because the images we get on the TV have many subliminal visual cues that tell us "This is 3 Dimensional". And the brain believes what the eyes tell it even though we know the screen is flat! Thus we can conclude that a 2-D screen can do a good job of presenting the 3D world, if we do it right!

We have a not insignificant hurdle in working in 3D on the computer. The screen in flat, it has width and height but we also need depth. Depth is the dimension into and out of the screen. All computer screens are made up from small rectangles of color, each rectangle is called a "pixel" (short for picture element), the more pixels on the screen the higher the resolution of the screen.

It is usual to specify the resolution of the computers display by quoting the number of pixels across the screen and the number of pixels down the screen rather than the very large number of pixels on the screen! For example a low resolution output for a display of 320 pixels across the screen by 200 pixels down the screen requires 64000 pixels in total.

Two dimensional art, animation or drafting (CAD) packages usually use a graphics cursor (an arrow or some other icon) so that you can make a specific action at an appropriate place on the screen. They may also use a co- ordinate reference (rather like a map-reference) to specifically refer to a point on the screen. Like a map reference, you need two numbers to specify a point on the screen, an across number and a down number. Again like a map reference you need a fixed reference point. This is usually taken as the top left corner of the display and is referred to as (0,0). Moving across the screen points are referenced as (1,0) (2,0) etc. Moving down the screen points are referenced as (0,1), (0,2) etc. So any point can be defined with two numbers. For example the center of the screen might be (160,100).

In 3D we need to add a third number to the across and down coordinates (a depth coordinate "in/out") giving us (0,0,0), (0,0,1) etc. We have a problem in visualizing this third coordinate. Because the screen has no depth, we cannot see a move that goes in/out. Ideally we would like a second screen on the side of the monitor to see the depth move.

We can't expect computer manufactures to make monitors with screens on the side as well as the front, even if we (as users) were prepared to move round to the side to look at it!

However, we have designed our 3D software so that it folds this 'imaginary' screen on the side of the monitor round, until it lies in the same plane as the monitor's screen. It is also helpful to fold an imaginary screen from the top of monitor so that we have three views arranged on the screen and all visible at the same time.

Our next difficulty arises because the mouse only works when it is on a flat surface. You cannot pick it up and move it about on the side of a computer monitor! But wait, you don't pick the mouse up and move it about the screen for a 2-D drawing either. You just assume that its pointer is on the screen in front of you.

Therefore, let's assume that when the mouse pointer is in a part of the screen which we are using as one of the folded views. it moves as if it were on the side or top of the monitor.

There we are; that's got the 3D screen and mouse sorted out.


OpenFX Metaphor

The Approach to Animation and Modelling

The Main concept of the program is to observe the standard conventions of:

  • Click on an item to select it.
  • Double click for extended information
  • Click and drag to move the item.

All the user actions take place in a cubic volume called the Working-Volume . A 3D Cursor may be placed anywhere inside the Working-Volume by moving it in one or more of the view windows.

The Animator and Designer modules have two main user interface components, Tools and Actions. Tools are appropriate for repeated use and actions are usually applied one at a time. When a tool is activated it stays active until another tool is selected. In the Designer, actions are normally prohibited unless the default tool is in use.

The language of the Animation and Modelling

We use a "Triangular Faceted" model of the objects that are to be animated.

Objects can be anything you like, a car, a plane, a spaceship, a cup, a box of breakfast cereal, a dog or a human figure.

The triangular faces are joined together to form the surface of the models and the more numerous the triangles, the more realistic the representation of the object the model is.

Deciding how many triangles to use in the model is not an exact science. The triangular faces can be given additional attributes such as color and texture to make the models look realistic. They can even have a picture or another animation painted onto them.

The triangular facets (faces of the model) are positioned using a vertex at each corner. Each triangular face is surrounded by three edges . The edges make up a "wireframe" description of the model.

You use the mouse to move the vertices of the model in 3D space and thus change the shape of the model. There are many tools and actions to help you.

The action takes place over a number of 'frames ', a movie usually plays 24 frames per second, conventional cartoon animation usually shows 12 different frames per second. A reasonable animation will consist of about 60 frames. But it could stretch to nearly 1000 frames for just one shot!

Models are built inside a cubic region of space called the "Working-Volume ". The size and position of the "Working-Volume" is easily changed.

A Keyframer specifies costume, movement, orientation and scale in " Keyframes ". Animations are rehearsed in "wireframe" in the Animation module before the drawing is rendered in full color, frame by frame. Each frame may be compressed together into an FLI or FLC animation file.

In an animation the term "Actor " is used to describe each directable element. An Actor can be a "Star" which performs in front of the camera, the Camera from which the animation is viewed, one of a number of lights, or a path along which smooth and accelerated motion is possible.

The "Star" Actors wear a "Costume " which is an model created in the Designer. Actors can change costume during the animation. (This allows model morphing - changes of shape, for example. a fish can turn into a bird).


3D Views of Objects

Lets imagine we are looking through the front face of a cubic fish tank, with some goldfish swimming inside. The other sides, the top and the bottom of the tank are covered up. Our view into the tank shows the goldfish swimming up and down, turning, going behind a rock and moving behind and in front of one another.

As a fish turns we can see its left side and then its right side. If we are going to make an animation of the goldfish in the tank we need to know what the fish looks like from the left side, the right side and from any other point of view we care to choose.

If we had a 2D animation package we would need to be very good artists to make the necessary drawings as our fish turns, even if the computer helps by doing the 'in- betweens'. A 3D package is very clever because it will draw the appropriate view of the goldfish, but you don't get something for nothing, you will still have to tell the computer what the goldfish looks like.

There is a very subtle difference between drawing a goldfish and defining what a goldfish will look like! You can think of the difference between an architects plan and an artists drawing of a house. This analogy with the plan of the house is quite a good one. The plan tells you everything about the house but it doesn't show you what it will look like. A plan enables the builders to put the house together, you can then walk round and through the house to see what it looks like from wherever you want. However every time an artist wants to draw the house from a different view point he or she will have to start from scratch. The same thing applies to goldfish or any other object. A plan contains much more information than a drawing but it is not what we like to look at, a plan doesn't sell many houses, an artists impression may do!

The essence of 3D animation is that it takes a plan for objects and draws them as an artist would. The plan that we use is not quite the same as an architect's plan and thus we prefer to call it a model. In the example of our goldfish, the model provides information on what a goldfish looks like and it is stored in the computers memory.

You are now probably asking yourselves; What do we mean by a model that we can store in the computers memory? It can't be anything physical such as clay, plastic or balsa wood!

It has got to be numbers. What numbers? How many? What do the numbers mean? How do we use them to get the computer to draw a lifelike goldfish?

We will now attempt to answer these questions, but first, here is another question. What do you see when you look at a goldfish?

You see it's skin (it's surface). Thus the minimum that the model must do is to represent the surface of the fish. There is no point in modelling internal bits, they won't be visible. This surface is likely to be quite irregular (fins, eyes etc.). So how do we represent the surface in terms of computer data? Click on the link below to find out.

3D Models of Objects


3D Models of Objects

Ultimately we must know where every point on the surface is, what colour it is and, what it is made of and how much light is falling on it. We might think of recording a 3D co-ordinate for every point on the surface. But how many points are there on the surface of a goldfish, or put another way, what is the size of a point?

A point has no size, therefore we would need an infinite number of points to specify the surface of our goldfish (well one per molecule anyway). No computer can store an infinite number of points so we must give our point some size, some area. The simplest shape that has area is a triangle. A triangle has three edges, two of which meet at a point (a vertex).

Therefore there are three vertices per triangle. If we specify a 3D co-ordinate for each vertex we have completely specified the position and orientation of a triangle. We can even find the co-ordinates of points within a triangle if we need to do so.

If we imagine a goldfish's surface covered with triangles and each triangle defined by the co-ordinates of its vertices we have a set of numbers that model the shape of a goldfish. The triangular pieces (which we will call faces) don't have to be the same size or shape (they must of course be triangular).

For example, suppose we want to model a cube, 12 triangles will give a perfect cube no matter what the size of the cube is. Because several of the vertices of the triangular faces occur at the same place we don't need to store 3 vertices per face, 8 vertices will do the job for the whole cube. In the same way, if two triangles have a common edge we need only store a single edge, that can be used for both triangles.

A cube of any size can be described exactly using 8 3D co-ordinates, one for each vertex. The 12 triangular faces are recorded by storing the identity of the vertex at each corner of the triangle, 36 numbers. A cube made up from triangular pieces has 18 edges and since each edge is joined to 2 vertices, two numbers are needed to specify an edge. Therefore 36 numbers are needed to define the edges in a cube made up from triangular faces. As mentioned earlier, 3 numbers are needed to specify a 3-D co-ordinate, thus the shape of a cube can be fully specified by 24+36+36=96 numbers.

The computer loves manipulating numbers and from a numerical model it can reproduce a view of a cubic goldfish tank, goldfish or anything else. Building a numerical model for an object means that you won't have to do any additional modelling work to change you view point or the lighting conditions.

There is one drawback to using triangular faces to describe the surface of an object and that is that objects are rarely made up of triangular pieces!. The surface of a sphere is not made up of triangular pieces, it is perfectly curved. Some objects can be exactly modelled by triangular pieces, the pyramids at Gisa for example. Any object that has part of its surfaces curved cannot be represented exactly by triangular pieces, but don't despair, if we choose the right number of triangles and make then the right size and shape we will get surfaces that look as smooth and curved as the aerodynamic shape of a high performance sports car.

The pyramid example cited above would need 6 triangles to get the shape exactly right. If there had been any curved surfaces on the pyramid we would have modelled this by increasing the number of triangles, and consequently decreasing the size of each triangle so that they cover the same surface area.

To imagine how increasing the number of triangles leads to better and better models for the real thing consider a Sphere. We can get pretty good looking spheres if we use 80 triangles covering the surface, and spheres that will be impossible to tell apart from the real thing if we use 1280 triangles to cover the surface.

One of the first skills that you will need to acquire is in deciding how many vertices and faces are needed to model an object. The more vertices and faces you use the better looking the model, but you will run out of memory on the computer and it will take longer and longer to draw (or render) the images if you just go on adding vertices, edges and faces. It is usually possible to reach a good compromise long before the machine lets you down.

It is good practice to build models, especially complex ones in pieces. Store each piece in a separate file and when all the components have been built they can be brought together to make a single model. (Much the same thing happens in any modern factory.) For example a push-bike can be made by building the frame, the front and rear wheels, the saddle, the brakes, etc. as separate bits.

Once we have build our model using the vertex, edge and face date structure its a very simple procedure to change how the model will look like, just by moving the vertices. You could for example turn our goldfish into a shark by making it larger and moving the vertices in the fins so that they look more like those of a shark.

If you keep the number of vertices the same but change their positions you will be able to "morph" the model so that it changes from a goldfish into a shark before you very eyes. You might have more difficulty in changing the goldfish into an aeroplane, but it could still be done.


Painting for Realism

You might think that with the specification of the triangular model for an objects surface we have achieved our goal. However, as we have defined it, this model only describes the geometry (the shape of the object) like any good model we need to paint the surface to make it look like the real thing.

It turns out that this is not too difficult. You just have to give a few extra numbers for each face to tell the computer the color, or the reflectivity or whatever you think is important.


Terms used in OpenFX

Terms and Definitions

3D Cursor - To be able to work in three dimensions it must be possible to specify a point in space where your tools do their work and the actions take effect. A two dimensional computer screen is one dimension short therefore in addition to the normal mouse pointer a second "Cursor" is provided. This cursor can be placed anywhere in 3D space by dragging it (with the mouse pointer) in one, two or three of the Working-Volume view windows.

Active Window - The Active Window is the Working-Volume view window with input focus. It is highlighted by being surrounded with a focus rectangle. When the multi-views are visible pressing the Tab key activates the the next window in a cycle. Clicking the mouse in any view window activates it.

Center Point - Each Model has a point which is used in the Animator to "hold" the model. For example if a model of an aircraft is following a path then the point in the model that is exactly on the path is the Center Point. For an aircraft it should be the center of gravity.

Timeline - To direct the activity of an Actor during an animation requires the use of four timelines, one each for costume, movement, rotation, and scale. A timeline spans a number of frames and has a Keyframe associated with it. The Keyframe is the frame in which the action of the Actor is exactly exactly specified, other frames spanned by the timeline have the action of the Actor determined by interpolation.

The Keyframe is always the last frame in the timeline. A timeline therefore is a range of frames where an action of the Actor is determined from the details specified in the Keyframe at the end of that timeline.

Timeline Span - A timeline spans the current frame if the first frame in the timeline is less than or equal to the current frame and if the last frame in the timeline is greater than or equal to the current frame.

Costume - To be visible in an animation an Actor must wear a costume. The type of Actor dictates what sort of costume an Actor can wear, but Actors may change their costume during an animation.

Current Frame - The current frame is the frame in the animation that is displayed in the view windows and in which any changes take effect.

Curve - A set of vertices connected together by edges without forming any faces. Curves may be open or closed.

Edge - A line segment connecting two vertices (the plural of vertex).

Face - A triangular surface area composed of three edges joining exactly three vertices .

Follow Point - A location (specified in the Designer module) in a model which other models can follow.

Example: The tail rotor of a helicopter can be simulated by making models of the fuselage and rotor, setting the fuselage follow point at the axis of the tail rotor and then instructing the tail rotor to follow the fuselage.

Frame - Like a conventional cinematic film an animation is build up from a large number of still pictures (images) shown for approximately 1/24th sec. Each of these pictures is called a frame.

Gourand Shading - A rendering algorithm that shades models smoothly by blending and blurring adjacent surfaces together. Gourand shading is the rendering method used by the OpenGL Shaded Camera View.

Image Map - An Image Map is a picture in a GIF or TGA file that is painted on to faces in the model to add decals or other surface detail.

Indicate - To choose one particular vertex, edge, face, or part of a model to be affected by an operation by placing the 3D Cursor on or very near it (within one or two pixels). If more than one vertex, edge, face, or part of a model is indicated in the current Working-Volume view window, then the one closest to the 3D Cursor in the other Views will be used.

Keyframe - A Keyframe is a frame in which some information is specified about the activity of an Actor. It always occurs at the end of a timeline. The action of the Actor in other frames spanned by the timeline is determined by interpolation.

Model - A model is the main unit of structure. A model is made up of faces and each face is bounded by three edges. The size, position and orientation of a face is determined by the vertices that define it.

Modifier Keys - The Shift, Ctrl and Alt keys are used to modify the action of the Designer tools. If one or other is held down as the tool is used then the action of the tool is modified in some manner.

Morphing - Enables one model to gradually change shape into another model.

Node - A node is a point on a path or robot that can be manipulated. Represented by a small square on the path or the robot.

Actor - An Actor is the term used for each directable element in the Animator. An Actor is given a costume, the costume is implied by the type of Actor and costumes can change from frame to frame. An Actor on the other hand is constant throughout the animation. There are 12 types of Actors. The most important of which is the "Model". A Model Actor uses models from the Designer module as its costumes. Models are stored in files with the name extension .MFX.

Actor's track - The track of an Actor is an implied path that the Actor will follow throughout the whole animation. A track will only be visible if the Actor has at least two contiguous movement timelines.

Origin - The default origin is coordinate values of (0, 0, 0).

Path - A Curve that used in the animator as templates for Path Actors (.PTH) and may be used in the Designer as paths for the Extrude along function.

Phong Shading - A rendering algorithm that shades models smoothly and accurately depicts surfaces, textures, and reflective properties (such as specularity) and can simulate mirror reflections. Phong's shading model is used by the render unless ray tracing is enabled. See Phong smoothing .

Phong Smoothing - This is a procedure that helps to remove the faceted appearance from the curved surfaces of models.

Ray Tracing - A complex rendering method that accurately renders mirror effects, transparency, shadows, and refraction (bending of light through clear surfaces). Ray tracing is the most realistic rendering approach available but is also the most time consuming (some times several hours).

Selection Status - Each vertex in a model can be in one of three states, Selected, Deselected or Hidden. Selected vertices are manipulated with Tools and Actions. Deselected Vertices are not affected by tools or actions even if connected to selected vertices. Hidden vertices are never drawn but remain as part of the model until revealed.

Texture - A texture is an algorithmic procedure that can add fine detail to the appearance of surfaces in the model. Examples are Wood and Marble finishes.

Skeleton - The Skeleton and the Names Hierarchy are one and the same thing. The Skeleton in addition to facilitating a hierarchical naming system for set of vertices provides a way of deforming parts of the model.

Skeleton Joint - The Skeleton is made up from a number of Joints, each Joint has a "long bone" associated to it and a "node" at one end. Each bone is attached to one other Joint at it's node or the "Root node".

Specular Highlight - Shininess is simulated by what is known as a specular highlight. Basically, the more shiny a surface the smaller the specular highlight. For example, plastic material has a less shiny appearance than tin, so a plastic bottle will have a larger specular highlight than a tin can.

Vertex - A distinct point in 3D space represented by a yellow dot if selected or a purple dot if deselected.

Working-Volume - The Working-Volume is a cubic volume of space which is used as the working environment for building models and setting up animations. It can be moved around and changed in size so that details on a model can be constructed without having the screen cluttered up by every vertex and edge in the whole model in view at all times. The three right angle view windows are views into the Working-Volume, normally they are a Top view which looks down, a Side view and a view from the front or rear.


OpenFX Modules

Progam Modules

There are three main modules, an Animator, a Designer, and a Renderer.

The Animator module is where animations are staged and Actors perform in front of the camera. The animations are rehearsed and previewed in wireframe or shaded mode in near real time. The other modules are loaded from the Animator and remain active until explicitly closed.

The Designer is used to design and build costumes for Actors, it uses a conventional triangular faceted 3D representation with facets attached to a network of vertices. Like the Animator the user is given three view windows in which a wireframe for the model is built up.

The Renderer is used by both the Animator and Designer and will continue to execute in the background if activity continues in the other modules.

Other External Libraries are available that add functionality and if suitable program development tools are available it is possible to build additional libraries. Textures , image processors, and animation effects are examples of external libraries.


Animator

The Animator module is where animations are set up. Three orthogonal views and a camera view show the world where the action takes place.

The visible region of the world is inside a cubic volume known as the Working-Volume . The Working-Volume may be moved through space and changed in size.

A major component of the Animator is the Keyframer , the keyframer shows the timelines and keyframes for all the Actors in a spreadsheet format.

See:

  • Actor Types
  • The Working-Volume
  • Moving the Working-Volume
  • Templates
  • Keyframer
  • Actor Orientated Tools
  • Selecting Actors


Objects

Actors (Some animation programs call these Objects)

There are 12 types of Actors used in the Animation module. Each Actor is represented by an icon. The Camera, Light and Target have easily identifiable icons that appear in the Working-Volume view windows. The Model, Morph Cycle, and Robot Actors are represented as either bounding boxes, wireframes or outlines. The Sky, Image Effect and Director have no visual representation, CSG Actors are always draw with a bounding box and the Ground is represented with a dot, rectangle, or line. The Path Actor is represented by a segment of connected or unconnected lines with square nodes.

The first three, Model, Morph Cycle, and Robot will all be visible in a rendered animation if they are wearing a costume and are in front of the camera in the current frame. Their costumes are designed in the Design module and what Actor wears what costume is specified through the Actors costume timeline.

The next group of three, Sky, Ground and CSG will also be visible under the same conditions but their costumes are very simple to specify and this is done exclusively in the Animator module.

When an Actor's costume timeline is created, either explicitly in the keyframer or implicitly by the direct addition of an Actor, the animator presents an appropriate dialog to specify things like Sky color, Ground texture etc.

The Image Effect is a special type of Actor that applies an Image processor to the final rendered frames of an animation. The Image Effect is not visible in the Window boxes.

The remaining five Actor types, Camera, Light, Path, Director and Target will not be visible in any rendered images but they are very important in the production of an animation.

Model
This type of Actor wears a costume that is a Model designed in the Designer. A Model Actor can wear more than one costume during an animation, which costume it wears is specified in the costume timeline. Any change of costume takes place at a keyframe. If an Actor changes costume, and those costumes are compatible, the Actor can be instructed to morph (change shape) gradually from one shape to another.

Morph Cycle
The Morph Cycle Actor also wears an costume designed in the Designer, but two or more Models are brought together specifically for Morphing. A set of Model costumes are manipulated as a single entity. They are very useful when it is necessary to use a sequence of several "morphs" in an animation.

Camera
Camera Actors provide the eyes through which the action is viewed. There must always be at least one Camera, there may be more but only one at a time can act as the viewpoint.

Target
Targets are useful as a point to aim the camera at and for setting actions which must occur at the same place but at different times.

Light
The Light Actor provides illumination for the animation, if multiple lights are present then it is a good idea to dim each of the lights. Lights may cast shadows without adding any illumination or cast no shadows at all. Spotlights have a cone of extent and their shadows can be nearly photorealistic.

Path
A Path Actor is used by the other Actors when their movement is most conveniently described by a smooth curve. The speed with which the Actors moves along a path is specified by a Velocity curve. Path costumes may be open, closed or loaded from previously saved PTH file. Paths are not visible when the animation is rendered.

Sky
A Sky Actor forms the backdrop in front of which the animation is played out. Only one Sky Actor is permitted in any animation.

Ground
A Ground plane is a horizontal solid surface that is flat and extend to infinity in all directions. It may wear multiple costumes and have textures and image maps applied but only one Actor of this type may be present. In the view windows the horizon is drawn as a line in the Front and Side views. A rectangle represents the ground in the Top view, it may be moved, rotated or scaled if the appropriate timelines are added.

Image Postprocessing Effect
Image processes take a completed rendered image and modify it in some way. Any topic that can be classified under the heading of Image Processing can be incorporated into an Image processor. Examples are Lens Flares, Video Special Effects, Fog, etc

Robot
The Robot Actor uses a model that has a skeleton. The skeleton can be manipulated (in an analogous way to the way it is manipulated in the Designer) at the costume timelines frames. In the intervening frames the position of the joints in the skeleton are interpolated so that models appears to move smoothly between two poses of the skeleton. When a Robot Actor is drawn in the Animator Working-Volume it is represented by the skeleton itself. If the Actor is selected the Vertex Selector Tool can be used to select joints and pivot the skeleton of the Actor.

CSG
CSG Actors represent some basic geometric shapes that have curved surfaces which would require a large number of triangular faces to model accurately and render smoothly. CSG Actors can have spheres, disks, cylinders, or tubes as costumes. A first order subtractive intersection can be arranged between solid CSG's. Note: CSG Actors do not cast shadows or appear in reflections.

Director
The director is used to specify which camera is active. In no director timeline is present the default camera is active. Only one director may be present in each OFX file. Each director timeline indicates one camera: the one that is used to capture the scene on camera. To switch between cameras add several timelines and in the Keyframer choose which camera to use.


Animator WindowBox

Animator Working-Volume

The Animator Working-Volume is a cubic volume of space which is used as the working environment for setting up animations. It can be moved around and changed in size so that detailed movements can be made on a small scale.

The Working-Volume views show what's inside it:

TOP | Top looking down
FRONT | Front looking back
SIDE | Right side looking left

The Camera view is a 3D rendering of the Actors in the Working-Volume.


Moving and Sizing the WindowBox

Moving and Sizing the Working-Volume

The Working-Volume may be moved through space and changed in size. To move it use the Hand tool and to change its size use the Zoom tool. Both these tool have keyboard accelerator key equivalents.

Pan by pressing the space bar and then click and drag.

Zoom In by holding the Space bar and Ctrl keys simultaneously then click to re-center window box and zoom. Click and drag to define region to be viewed in full window.

Zoom Out by holding the Space bar and Alt keys simultaneously then click to Zoom out and re-center.

Double-click on the Zoom Tool to enclose all parts of the model and its vertices in the WndowBox.


Templates

A number of useful template animations can be set up quickly without having to add each Actor individually. For example, the simplest useful animation is probably to rotate a model in front of the camera. One of the available templates offers this. It asks a number of question including the number of frames and the model that it is to rotate.

One of the most complex templates "Travelers" offers an animation that can be used with a series of models so that they behave like a railroad locomotive and number of box-car wagons moving along a path.A most effective use of this template is to use models made from the letters in a string of text. The Export Letters command from the Designer's File menu is designed to help this particular application.

The list of templates are:

  • Standard One Frame View A single frame
  • One Frame With Ground A single frame
  • Animate Rotating Model An multi-frame animation
  • Model on open path Model moves along path
  • Model on closed path Model moves along path
  • Model on loaded path Model moves along path
  • Travellers - Several models follow each other on a path


Keyframer

To direct the activity of an Actor during an animation requires the use of timelines and keyframes . The Keyframer is a module where the timelines and keyframes of all Actors can be viewed and edited in one display. Normally timelines and keyframes are created implicitly as Actors are added and the tools are used to move then into position and tell them what to do.

In the keyframer window time runs in the horizontal direction and for each Actor the extent of timelines and position of keyframes is displayed.

The timelines are the red horizontal lines and the colored dots at the end of the timelines are the keyframes.


Object Orientated Tools

Actor Orientated Tools

In the context of the Animator, Actor Orientated Tools means that the action of the tools is dependent on the type of Actor on which they perform them.

The Vertex Selector for example, will act in the same way as the Actor Selector on Camera and Model Actors, but it will act as a move tool for individual vertices in paths, and as an pivot tool for Robots.

Again the Vertex Selector will perform differently if the Edit Spline Tweening flag is set in the Edit Menu.


Selecting Objects

Selecting Actors

To select an Actor , click on it with the Actor Selector Tool.

Path and Robot Actors have selection points. Camera, Light and Target Actors are selected by clicking on their icons. Other Actors are selected by clicking on their wireframe outlines.

The Edit > Select Actor command provides a selection dialog to select Actors by name.


Quick Render

Quick Render to Camera View

Renders the current frame or the contents of the Animator Working-Volume directly in the Camera View.

Quick Rendering uses full Phong rendering with maps, textures, reflections, etc.at an antialiasing level at medium. Great for quick previews! F12 is the hot key for Quick Render.

Tip: Quick Render is much faster if monitor color depth is set to 16 million colors. Otherwise the rendering displays color banding and renders significantly slower.


Modeler

Designing

The Designer module is where models are built.

Three orthogonal views give working access to a volume of space, known as the Working-Volume , where Vertices edges and faces may be placed. This gives a triangular faceted model for real or imagined objects. The Camera View in the upper right hand corner displays a perspective rendering of the contents of the three views.

See:

  • The Working-Volume
  • Moving the Working-Volume
  • Vertices Edges and Faces
  • Phong Smoothing


Modeler WindowBox

Designer Working-Volume

The Designer Working-Volume is a cubic volume of space which is used as the working environment for building models and assigning attributes. It can be moved around and changed in size so that detailed movements can be made on a small scale.

The Working-Volume views show what's inside it:

TOP | Top looking down
FRONT | Front looking back
SIDE | Right side looking left

The Camera View (view at upper right corner) is a 3D rendering of the Model displayed in the Working-Volume.


Vertices, Edges, and Faces

All Models are described by the arrangement of it's Vertices , Edges , and Faces .

It is the placement of the Vertices and arrangement of Edges that give a model it's shape and form. How the Faces are painted and textured gives a model it's realistic appearance.

Face and Edge Creation

This section is essential reading for anyone serious about model building. However knowledge about the Draw Tool and 3D Plot Tool is assumed.

Experiment with these tools before reading the rest of this topic!


Face and Edge Creation

The central theme of the triangle-based modelling system used by the designer module is faceting.

The Unfilled Outline on the left would not render since it is not composed of faces (triangles) and would be considered a hole. The Filled Outline on the right would render as a surface.

There are two ways to facet (make triangular faces so that they fill) an outline ...

Auto Filling | Using the Fill Outline or Fill to Cursor actions
Strutting | Using the Draw Tool


Auto Filling

Creates faces (to facet) to fill a space surrounded by selected vertices usng either the Actions > Fill Outline or Actions > Fill to Cursor commands.

Auto Filling is by far the easiest way to facet an object, but it is not always appropriate. To use it, just draw an outline curve with the Draw Tool , remembering to close it, (the DrawTool will close it if you click exactly on the first vertex. Then, with all the vertices of the curve selected, center the 3D Cursor and choose Fill to Cursor from the Actions menu. The curve should now be "solid". You can check this by making a enabling OpenGL shading in the Camera View. The OpenGL Shaded Camera View will only display filled outlines with faces, not unfilled outlines.

Auto Filling, although easy to activate, has some limitations. The main limitation is that only convex shapes can be faceted in one operation. It is possible to facet a concave outline with Auto Filling, but be very careful how the 3D Cursor is placed.


Strutting

This strange term describes the process of faceting a curve using the Draw Tool or 3D Plot Tool .

To try this, draw a curve like the one shown below using the DrawTool.

Draw an edge between vertex 6 and vertex 1 to close the curve. Make sure you click exactly on top of vertex 1, otherwise a new vertex will be added and the curve will not be closed.

With the curve in Figure 1 created, have a good look at it in the Camera View. The OpenGL Shaded Camera View will display nothing since the curve must be faceted (filled) first. Note that you can see the wireframe curve if the OpenGL Saded Camera View is turned off.

Create an edge between vertex 2 and vertex 6 as shown below. With the DrawTool enabled, click exactly on vertex 2, then on vertex 6

Once the edge has been created, you should see (lower right hand corner of the status bar) that the number of faces increases by one -- you have created a face! The face in question is composed of vertex 1, vertex 2 and vertex 6. Take a look at these vertices to verify this (that they form a triangle). Now we can proceed to create two more edges to form all the necessary faces. Create edges from vertex 3 to vertex 6 and vertex 4 to vertex 6 as shown in Figure 3.

After these edges have been created, you should see a solid 3D shape displayed in the OpenGL Shaded Camera View.

Now try a more complex outline.

Draw an outline of the letter 'C' as shown in Figure 4.

You should be able to close the curve with the DrawTool alone. The outline is a very rough approximation of the letter 'C'. This is entirely due to some questionable drawing skills! Hopefully you should be able to produce a better C. It does not matter if your outline has more vertices than the one above, you should be able to follow the instructions anyway.

Using the Draw Tool and the strutting technique described to create Figure 3, create an edge between vertex 1 and vertex 3. This will create a face (check for the triangle). Create another edge between vertices 3 and 15. Another face will be created (check again). Then create an edge between vertices 15 and 4. Yet another face will be added. Hopefully you should also see why this technique has been called "strutting". Continue creating edges and faces until you have something like that shown in Figures 5 and 6 below.

The sequence for creating all the vital edges in the case above is :

Edge |  | Edge
3 | to | 15
15 | to | 4
4 | to | 14
14 | to | 5
5 | to | 13
13 | to | 6
6 | to | 12
12 | to | 7
12 | to | 8
8 | to | 11
11 | to | 9

The edge marked in red is important. It represents a change in rhythm. You should be able to see the pattern in standard strutting : a to b, b to c, c to d. However, the marked red edge violates this pattern. This is often necessary to avoid having long thin faces. Note the angle between edges 12 to 11 and 12 to 7 on the left is much greater than 90%. The best choice on the right keeps the angles close to or less than 90%.

RULE 1: Always avoid long thin faces.

This is not just a matter of style. The Renderer will usually cope with long thin faces, but it will increase the rendering time. Having long thin faces often makes the model more difficult to manipulate. So, although there is no real prohibition against long thin faces, they should be avoided.

While you where faceting your 'C' outline, you may have felt the need to change the rhythm of the strutting to avoid violating rule 1. This should be quite natural. Just keep in your mind the objective of rule 1 and, after a little practice, faceting outlines should become second nature.

If you have successfully created you solid 'C' shape, then you can extrude it into a solid character for a 3D font. You can try applying colors and textures to the model for the 'C'. You could even save it for later use as an actor's costume in an animation.

RULE 2: Never, never have faces on top of each other.

Figure 10 demonstrates what four faces sitting on top of each other looks like.

Figure 11 shows a similar arrangement of four faces that is perfectly correct to use. Look carefully to see that none of the four faces is sitting on top of any other one.

Figure 12 shows how a single edge will create the two faces necessary to facet the rectangular outline of Figure 10.

Rule 2 is not quite a absolute as it sounds. The Renderer does a "depth sort" which should eliminate any problems in the final image, but it is very bad style to create models with faces sitting on top of each other.

Figure 11 actually shows what the rectangular outline would look like if faceted by the Fill to Cursor action. The contrast with Figure 12 should enable you to make some distinction between faces created by strutting and faces created by the Fill to Cursor action. Note that the Fill Outline action would have faceted the outline as in Figure 12.

As mentioned before, both methods of faceting have advantages and disadvantages. The Fill to Cursor action creates an extra vertex which is not strictly necessary for faceting the outline. Therefore, strutting is a more economical method (it does not need an extra vertex). However, having an extra vertex which is a member of all the faces can be an advantage. In the simplest case this can just be an Auto-Filled circle (as described above). It is then possible to grab the center vertex of the solid circle (disk) and pull it up above the circle using the Vertex Selector Tool. This will create a cone similar to an ice-cream cone.

The cone example is just a very basic demonstration of how powerful it is to have 'control' vertices embedded in the model. These vertices can be moved around to dramatically alter the appearance of the model. This technique should be remembered.

Another, not so obvious economic advantage of the structure in Figure 12, is that it has just two faces. The filled structure in Figure 11 (the Auto-Filled one) has four. Of course, the less faces you have the better (less memory is used, renders faster).

Finally, in what is the most advanced example of faceting, holes will be considered.

A brief note should be made about triangular holes. You may have already tried to create the letter 'A', but you may have got stuck on the triangular hole. This appears to be a real problem. If a triangle defines a solid face, how can you have a triangular hole ?

The solution is simple, and like many techniques in animation, a cheat. Create your triangular 'hole' as a normal triangular face. Then select the two vertices at the end of one of the triangle's edges. Subdivide the edge. Now you should have a shape with 4 vertices. Remove the edge that 'crosses' the would-be triangular hole and you will really have a true hole. This is because by Subdividing one of the edges, you changed the 3 sided triangle into a 4 sided quadrilateral. However, the quadrilateral was still solid, so you removed the crucial edge and turned it into an outline.

You should have an outline that looks triangular but it is composed of 4 vertices, so it is not triangular and not a face. If you did not completely understand this explanation then don't worry. After you have had a little more experience it should become clearer. (Just try and create the letter 'A' !)

But once you have the outline (hole and all) how do you turn it into a solid shape ready to be extruded? This is demonstrated by the outline below

In Figure 7 you can see two circles, one inside the other. For this example suppose the inner circle is a hole. Create the circles for yourself (the outer one has 10 vertices, the inner one has 5). Look carefully at how the edges are added.

Try this technique on your copy of the circles. Once you have done that, adding the edges shown below should be easy.

Check that all the faces have been added properly.


Phong Smoothing

This is a procedure that helps to remove the faceted appearance from the curved surfaces of models.

The diagram below shows a cylinder and a faceted model.

When lighting conditions and surface color are taken into account, that is, it has been shaded, it will look like:

This is because triangles are flat surfaces. At an edge, between two triangles, there may be a change in direction between the planes in which the triangular faces lie. Since it is the angle between these planes and the direction of the light that dictate the shading of a 3D model, the edges of a face are particularly noticeable. If two triangles lie in the same plane, shading them will appear to remove the common edge.

There are many places in an object where there should be visible edges, I will call them creases. A cube would not be a cube if it did not have creases on its edges.

However models have many curved surfaces which we have approximated by triangular faces. Unfortunately an almost unlimited number of minute triangles would be required to get a perfect model for the curved surface.

In essence there are two types of areas on the surface of an object. One is inherently angular and the other is inherently curved.

The faceted method of modeling does a very good job of modeling the angular surface areas, but it is necessary to find a way to make curved surfaces look curved without having to add thousands of minute triangles.

A cylinder (build from a set of triangular faces) poses a very interesting problem. It has a curved side which we would like to look smooth. The top and bottom are flat but the edges between the side and top, and the bottom and side, should remain visible. Therefore there are two flat pieces joined to a curved piece with a crease in between.

This property of the cylinder is quite difficult to model correctly, and it will be reconsidered it later.

There are a couple of methods that are used to make curved surfaces look smooth. They are called Gouraud shading and Phong shading, named after their creators. Both are approximations, Phong shading gives a more realistic look to objects but it takes longer to render. The Renderer uses Phong shading.

Important Note: It is important to realize that no smoothing method smoothes outlines.

Because the eye takes much less note of the edges of an object than abrupt changes in shading on the visible surface, it is possible to get away with only smoothing surfaces.

Look at the diagram below; it shows a cylinder and a smoothed and shaded representation. Note the lack of creases in the curved part of the surface. Note also that the edges have not been made curved!

It looks a very much better cylinder than if smoothing had not been applied. This has been achieved without adding any vertices, edges or faces!

The curved edges could be smoothed by adding only a few extra vertices, a lot more would be required if it were necessary to smooth the whole surface by adding more faces!

That's the good news. Unfortunately, with any approximation come a few drawbacks.

The main problem occurs if you try to smooth triangulated surfaces on which there are very large angles between faces that have a common edge. Faces with an angle greater than 90 degrees will look very strange if smoothing is applied.

If possible, smoothing should only be applied to faces with angles of 60 degrees or less (to adjacent faces). You must be quite selective in which faces you choose to apply smoothing too.

A few more words need to be said about the problem that was hinted at earlier with regard to the cylinder.

There will be no problem (with angles) in smoothing the curved surface of the cylinder provided 6 or more edges around a circular end were used (12 triangular faces on the curved surface). However it is desired to retain the crease between the top surface and the side, and of course at the bottom as well.

To achieve this smoothing should be applied to the faces on the curved surface only.

For a cylinder such as the one shown below this can be done by selecting all the vertices that make up the cylinder and then setting smoothing to OFF. Then, by using the Selector (in a window which show the circular section), the vertices at the center of the top and bottom surfaces are selected. Finally by clicking on the Select Swap icon the appropriate vertices are selected. Smoothing is activated for faces in the Designer's Attributes dialog.

If the above procedure is followed, the Renderer carefully leaves the crease alone.

If you just selected all the vertices in the cylinder and set smoothing On you would just get a blur where the crease was supposed to be, and probably several dark patches elsewhere in the image.

Sometimes it is just not possible to get all the creases you want using the approach above. For example if two smoothed surfaces are joined together. In these cases, don't join the faces from the two surfaces but just put them very close together. You won't see the gap (between the surface patches) in the image, if they are close enough together.

Common Edge

Use 2 Edges (one for each surface)

There is one other situation that should be avoided when building smooth surfaces on objects.

Each edge should be common to two faces at most.

Avoid designs that involve structures such as that shown below.

Edge Common to more than 2 Faces

In that example an edge is common to three faces and the Phong smoothing algorithm won't know which ones make up a smooth surface. This type of situation arises mainly if there are "Internal Faces" in a model. Internal faces are usually unnecessary, unless you have some faces made of glass and you want to see into the inside of the model. If this is the case then don't join the internal surfaces to the outer surfaces. Use the trick described earlier for keeping creases in a model.


Quick Render

Quick Render to Camera View

Renders the contents of the Designer's Working-Volume directly in the Camera View.

Quick Rendering uses full Phong rendering with maps, textures, reflections, etc.at an antialiasing level at medium. Great for quick previews! F12 is the hot key for Quick Render.

Tip: Quick Render is much faster if monitor color depth is set to 16 million colors. Otherwise the rendering displays color banding and renders significantly slower.


Renderer Overview

Select the desired rendering settings in the Control, Options, Settings, and Tracing tab pages of the Renderer dialog. Press the Render button at the bottom of the Renderer dialog to start rendering.

By default a Scanline Phong rendere is used to produce the images. Various levels of Ray tracing can be enabled in the Tracing tab page. Phong rendering is suggested in most cases since ray tracing is notoriously memory and time intensive.

The enderer is multi-threaded and will benefit greatly if additional processors are installed in the system. Rendering on a two processor system will almost be twice as fast as with one processor.

Note that test renders be done quicker using the command File > Quick Render (F12) From the Animation and Design modules.


Render Control Tab Page

Renderer Control Tab Page

The Control page of the Renderer offers additional control parameters.

Resolution - Choose the resolution to which the image is rendered. Choose one of the presets or enter the number of horizontal and/or vertical pixels in the edit controls. The number of pixels in the image is horizontal resolution multiplied by the vertical resolution. The higher the resolution the longer it takes and the more memory it needs to render the image.

Anti-Aliasing - Choose the level of anti-aliasing. In low resolution modes the appearance of an image can be improved if it is anti-aliased. Basically, anti-aliasing smoothes out some of the 'jaggies' that are visible at the edges of colored regions in the image. Anti-Aliasing is very time consuming: it will take a little under 4 times as long to render a Good anti-aliased image than an image with no anti-aliasing. Using Best level of anti-aliasing, the image will take approximately 9 times longer to render than a non anti-aliased one.

Accelerated Anti-Aliasing - Accelerate the anti-aliasing process, with small quality reduction. Normally anti-aliasing an image increase the rendering time quite significantly, up to 9 or 10 times for a setting of Best. The main effect of anti-aliasing is seen near the edges of models or where faces with different colors join. Pixels in the interior of faces benefit very little from anti-aliasing. When this option is selected, anti-aliasing is applied near the edges of faces and not in the center. For most models this is as good as full anti-aliasing and it can be up to 3 times faster. Images with models that have image maps or shaders, where there is quite a bit of detail in the interior of faces, will not benefit as much from having their anti-aliasing accelerated.

Dithering - Choose the type of dithering. 24 bit images do not require dithering. Dithering is the process that reduces the banding effect evident on systems with a limited color palette. The standard 256 color VGA adapter is often insufficient to display an image without some degree of banding. A 24 bit display adapter is required for color resolution high enough to eliminate banding.

There are two methods of dithering. The Floyd-Steinberg error distribution procedure is very effective at removing the banding in single images. However, it is not always suitable for animations. Noise dithering, although not as high quality as Floyd-Steinberg, is consistent from one frame to the next, so it is more suitable for animation. Values of 10 to 30 usually give good results.

Image Format - Select the file format into which the image or images will be stored. This automatically determines the color resolution in the image. For an single image or multiple still images the GIF format uses an 8 bit palette, while the TGA and TIF formats are either High-Color or True-Color (16 bit or 24 bit).

Animation Type - Select whether animation type is a FLIC file, AVI file, or animated GIF file. Note FLC files will not be compressed if the resolution higher than 640x480 pixels.

Image Name - Name the image and the directory to which it is to be rendered. The default image directory is "Render".

Animation Name - Name the animation and the directory to which it is to be rendered and compressed. The default animation directory is "Movies".

Current Frame - Specify which frame of an animation is to be rendered.

Range - Specify a range of frames to be rendered.


Render Options Tab Page

The Options page of the Renderer offers additional control parameters.

Hidden Line Drawing - Render the image in hidden line mode. Hidden line mode is the fastest method of rendering an image.

Anti-Alias Ground Reflector - Anti-alias the non ray traced ground reflections. Default is off.

No Smoothing - Override the Phong smoothing applied to faces in the model and render all corners. This makes the Renderer operate as quickly as possible because image mapping is also disabled.

Reduce Saturation - Post processes rendered image to remove NTSC illegal colors.

Write Interlaced GIFs - Writes all GIFs in the interlaced method. Note that this is still a GIF 87 type image.

Ground In Alpha Timeline - Creates an alpha timeliine with the ground in the image.

Write Separate Alpha Timeline - Writes a separate alpha timeline for each image. Ground is not included unless specified.

Use full screen buffer - Render all pixels to a memory buffer before writing the final or temporary image file. The full screen buffer holds, for each pixel, the red, green and blue color values visible at that point in the image. Its use can speed up rendering, and the image post-processors require it. If the image size is X pixels wide by Y pixels high the size of the buffer is 4*X*Y bytes, therefore it needs quite a lot of RAM and it should not be used unnecessarily.

Z depth buffer - Create a buffer holding depth information for the image. The Z buffer holds, for each pixel, the distance that the surface visible in that pixel is away from the Camera. A Z buffer is needed by some image post-processing effects. It uses up a lot of memory, about 4*x*y bytes where x = horizontal resolution and y = vertical resolution. Therefore, only use it if the animation uses a post-process effect such as Fog that requires the z-buffer.

Use actor ID buffer - : Makes a buffer available to External Image Processors that identifies which actor is visible in every pixel in the output image. It takes quite a bit of memory so switching it on is optional.

Show Image While Rendering - Displays a preview image in the Rendering Status Window during the rendering.

Startup Preferences - Enables preference settings to override the defaults.


Render Settings Tab Page

The Settings page of the Renderer offers additional control parameters.

Animation Speed - Set the speed value built into the FLI/FLC files. The value is in jiffies, zero implies the animation will play as fast as possible.

Smoothing Angle - Set the maximum Phong smoothing angle. If the angle between any adjacent faces exceeds this value, the Phong smoothing is automatically turned off for those faces. This switch can help eliminate artefacts that sometimes appear in an image if the smoothing in a model has been set inappropriately.

Ambient Lighting % - Overrides the ambient light settings usually specified in the Sky Actor. A maximum of 30% works quite well, values greater than 70% produce images that have very little contrast.

Shadow Density % - Specify the darkness of shadows cast on the Ground. Set the density of the shadows. 50% is the default, 100% gives completely black shadows, 0% gives no shadows at all.

Spotlight Buffer - Alter the resolution of the shadows cast by spotlights. The shadows created by the spotlights require a block of memory. A setting of 320 reserves a block of memory of 256k for each spotlight. The size of the block dictates the smoothness of the shadow. A value of zero implies that a spotlight will not cast a shadow. You can calculate optimum settings for best results by multiplying the number of pixels by 4 (e.g. 320x200x4=256,000 bytes required).

Hidden Line Angle - Maximum angle for planar faces in hidden line mode. When the Renderer is generating hidden line images, if two faces are adjacent and the angle between then is less than this value the common edge is not drawn. A high value of this setting will result in only an outline of the model appearing in the image, which is useful for drawing cartoons. This parameter is disregarded if the faces have different colours. A value of zero will result in all visible edges being drawn.

Noise Value - Set the value for noise dithering. The higher the noise dithering value the more grainy the image will look.

Motion Blur - Higher values generate Motion Blur. The normal range is 0-10. When a number outside this range is entered the full integrated motion blur comes into play.

Digits in Filenames - Specify the number of leading zeros in a Rendered filename.

JPEG Picture Quality - Specify the JPEG compression quality. Higher quality creates larger file sizes.

Number of threads - Enables selection of 1-16 threads or have the renderer automatically determine the number of processors and farm out one thread per processor.

Personal Settings - Gives ability to save and load personal settings other than the defaults.


Render Trace Tab Page

Render Tracing Tab Page

The Tracing page of the Renderer enables Ray Trace rendering to be used. Turning on any of the Tracing options instructs the Renderer to use ray tracing where appropriate.

Trace Shadows - All shadows will automatically be ray traced.

Trace Reflections - All reflective surfaces will automatically be ray traced reflections.

Trace Glass - All glass surfaces will automatically be ray traced reflections with refraction if specified.


Tutorials Index

Tutorials

In this section a series of worked examples are provided for some commonly used animations. They illustrate some of the core ideas that can be used in a number of different scenarios:

  • Tutorial 1 - Making a flying logo animation
  • Tutorial 2 - Basic Ideas of Morphing


Tutorial 1 (Flying Logo)

Tutorial 1: Making your own "Universal" flying logo

Introduction

The animation presets in OpenFX make it very easy to make your own flying logo to mimic the "Universal Movie Studio's Logo". The greatest difficulty in making this animation is not in the modelling, it's not even in the animating, if there is any difficulty it lies only in fact that each character in the name must be stored in a separate MFX (scene) file and organising the location of where these are stored should be decided in advance of making the animation. In this tutorial we will gather all the files for the project is a new directory located on Drive E: (you may put them elsewhere - it's up to you).

In this exercise the "Logo" I will animate is the Vice-Chancellors favourite expression "BALANCED-EXCELLENCE"

Getting the bits and pieces

We need is an image map of the surface of the earth and possibly a starfield backdrop, however the starfield plugin of OpenFX will suffice. We also need either a Postscript or TrueType font from which we will model the text.

To prepare for the project use Windows Explorer to create a new project directory on drive E: I will call mine "project2":

tut2_1.gif (10803 bytes)

Into this directory I will place two image maps that I need to use. The first is a mecator projection of an artists impression of the surface of a cloudless earth and the second is an image that I will use as a reflection map during the modelling process. The are simply called. MECATOR.GIF and PLANET.GIF

There are two main parts to making a OpenFX animation:

  1. Modelling
  2. Animating

We will start with the modelling - making models of the "Earth" and the "String of Text" that has to fly round it. After that we will use one of OpenFX's template animations to do most of the work for us. A little bit of tidying up by hand will complete the task.

Modelling

Stage 1: Build the model of the earth by simply applying a map "(Mecator Projection preferable)" to a simple spherical primitive. To make the sphere call up the Primitives Dialog (Menu Build/Build Primitives - or press F7):

tut2_2.gif (5254 bytes)

You can make several types of spheres - we suggest a Lat Sphere with 18 lines of latitude and 24 lines of longitude. This is a good choice for a sphere on which we will bas a model of the Earth.

When you press the make button the SFX Modeller window will look like:

tut2_3.gif (51682 bytes)

Next an image map must be painted onto our putative globe: We will use the map below, called MECATOR.GIF which has been imported into folder "project2" on drive E:

tut2_2.jpg (8683 bytes)

There are three stages in mapping:

  1. Make the image Map
  2. Align it to the model
  3. Apply it to the selected faces.

Mapping Stage1
Before calling up the Map Dialog Box make sure that the "Front" view window is active (A Yellow outline is drawn round the active view window (see picture above - the top window has the yellow outline) if the Front window is not active then clicking the mouse in the window activates it - our you could press the TAB key until the window becomes active. Now call up the map dialog. (Menu: Attributes/Map/Edit Map...) You will be asked to select the map you wish to edit. For a new project there is only one map so just click on OK. After this the Mapping dialog pops up:

tut2_4.gif (28255 bytes)

In this Dialog you will see a large number of buttons, sliders and check boxes. We will only need to make three modifications to the default settings. For our model of the surface of the Earth we need to apply a surface map. This is done by clicking in the checkbox labelled (1) above. After this a File Open dialog will pop up and we select the MECATOR.GIF image map. When the Open button is clicked the name of the map appears in the window (labelled 2 above) and some of the other buttons that were greyed out become active.

The third action we need to take concerns the way in which the map will be applied onto the surfaces to which it is assigned. There are 4 options (the 4 image buttons) - Since we are applying a flat map originally taken from a spherical model (the mecator projection) the ideal choice is the "Spherical" mapping method. So click on the image button labelled (3). These are all the changes you need to make to this dialog so now we can proceed to align the map to the faces on which we wish to apply it. So click on the "Move" button at the top of the dialog.

Mapping Stage 2
This hides the dialog and returns us to the main Window Box views with an additional Tool Palette Labelled "Lock" floating above the window. In the windows you can also a representation of our Spherical map, at (1) and (2) in the figure below:

tut2_5.gif (28522 bytes)

The representation of a "Spherical Map" type looks similar to that of a "Cylindrical Map" However there are a few differences. The Little rectangle at the centre of the circle in the TOP window and at the top left corner of the map representation in the Front window (labelled 2) corresponds to the centre of the sphere on which the spherical map is based. The Upside down triangle and small dot, which are the other two map control points, server only to align the map. In the case of our model of the earth we must drag the rectangle into the centre of the sphere there is no need to move either of the other control points.

Therefore all that needs to be done is first to click on the Rectangle in the Top view window and drag it to the centre of the wireframe sphere. Then do the same thing in the front window so that it is located at the centre of the sphere as shown below. The rectangle lies at the points labelled (1) and (2) below. You can also click and drag the "Triangle" so that it lies at the location labelled (3) below.

tut2_6.gif (19147 bytes)

Once you are happy with the alignment of the map click the "Done" button in the popup up tool panel to return to the Mapping Dialog. Simply press the "Done" button and proceed to the next step.

Let's recap; at this stage we have a spherical model of vertices and faces and an image map that is aligned around the sphere. What we must now do is apply the image map to the faces of the sphere. By doing this we will see the effect of out mapping when the an image of the model is rendered. We need to apply the map to ALL the faces in the sphere - so make sure all faces in it are selected (i.e. they show up as yellow dots).

Mapping Stage 3
Now call up the Attributes Dialog, (Menu Attributes/Material Settings... or press the F8 key). A "Tabbed" dialog appears click on the "Maps" tab to reveal the page relevant for mapping the currently selected faces. (The title of the dialog indicates the number of faces that are selected).

Click the "Set" and when the Map Selector Dialog pops up choose our map (If you did not enter a specific name for the map it will, by default, take the name "unnamed_1". (This is button labelled (1) below):

tut2_7.gif (7094 bytes)

You can leave the other button settings on this page at their default values. - Our model is now complete. Click the Preview button and you should get an image like this:

tut2_8.gif (18608 bytes)

Click the "Close" button on the attributes dialog and save the model in a MFX file. Use the (Menu File/Save As...) command.and choose an appropriate name: EARTH.MFX

Stage2: Building the text. This stage consists of three phases:

  1. Build the text string using the "Create Text" Tool of SFX's modeller.
  2. Apply any mapping or textures to the models to get the finish you require.
  3. Use the "Export Models" option to put each letter in your text into a separate "MFX" file.

Balanced Excellence is a very poor expression for a tutorial because it is a very long expression (18 characters including a space), you will probably choose something shorter. However it does server to show how we deal with expression that contain multiple copies of the same letter.

Lets start with the Text Creation Dialog, to call it up click on the "Add Actor" toolbar button and select "True Type Text" from the pop up menu. The dialog below will appear after you select a suitable text font from the standard "Select Font Dialog Box":

tut2_9.gif (22907 bytes)

The True Type Text builder dialog shows a preview of the selected font and has controls to enable you to build your text model in several styles. For our tutorial we have to adjust three of the parameters. In the figure above we first give the text some "depth" (i.e. make it look like it stands out, has some third dimension) Do this by increasing the width of the text with the "Width" slider (1). We will be manipulating each character in the text string individually so we need to set a "Hold Point" at the centre of the characters (press the radio button labelled (2) above). And finally we must enter our expression in the Text Box (item 3 above).

When this is done press the "Make" button and after a few seconds work you will have a 3D model in vertices, edges and faces of the expression "Balanced Excellence" (as shown below):

tut2_a.gif (30976 bytes)

Note I changed the shape of the windows by clicking and dragging the edges to get display windows that more closely match the shape of the text model. Further note in the "View" window the blue colour of the sides of the text, it is the presence of these sides that give our model its 3D look.

The text builder function of SFX has given a Red colour to the font faces of the text and a blue colour to the side faces. We can get a more exciting look for our text if we make it shiny and partially reflective. For this we need to change the colour and create a reflection map.

To start bring up the Attributes dialog (below) (Menu Attributes/Material Settings...) (or F8) Click on the Colour Swatch (1) and choose an orangy colour, also click the "Shiny Hotspots" tick box (2):

Tut2_b.gif (5166 bytes)

Next switch to the Maps tab and click the "Set" button. As you haven't created any maps only the "new" map can be chosen. This "new" map is not as yet defined so after the selection dialog is dismissed click on the "Edit" button to bring up the maps dialog, as shown below:

Tut2_c.gif (19521 bytes)

For this map we will be using the reflection settings only so there is no need to position its axes. Reflections are generated automatically and depend on the global orientation of the model. To configure the reflection part of the map click the Tick Box (labelled 1) and choose a suitable reflection map. Once selected the named map is listed at (2) . In passing note the reflection setting of 50 on the slider. This setting means that surfaces to which the map is applied appear to be 50% reflective. The result we obtain is shown below:

Tut2_d.gif (14450 bytes)

Note the effect at 1 above, the mixture of surface colour and reflective map gives the sides of the text the illusion of being make of a gold like surface. The actual content of the reflection map is not terribly important, it is the fact that it contains some variation and some "overall" perception of a dominant colour that is important. (You can look at the map I used and see what I mean.)

With our model complete you should save it as a whole entity in case you want to return to it later to make some changes. It is very easy to make the separate models for each letter from the original - so keep a copy of it. (File/Save As..)

The modelling is nearly finished. We simply have to export each of the letters to a separate .MFX file. This process is automated with a special command: File/Export Model/Letters. On executing the command the following Dialog box pops out:

Tut2_e.gif (1202 bytes)

Since each letter is stored in its own file we only have to specify the folder(directory) into which the models are placed. Clicking OK puts each letter into a separate .MFX file. The names these MFX files take follow a rule that will enable us to easily identity which file corresponds to which letter. OpenFX is able to identify which letter is which because it uses an internal hierarchy to record which vertices and faces belong to which letter.

If we use the "Open Model Dialog" to look at the files we have just created we can see the "balanced_excellence.MFX" file and...

Tut2_f.gif (6291 bytes)

At (1) the file corresponding to the first capital B in the text string is indicated. Its name is B1-C. The second character (an "a") is stored in a file named "a2". So hopefully you can see the pattern. Each file is given a name that starts with the letter itself, then has a number appended 1 for the first character, 2 for the second, etc. etc. If the letter is a capital letter a "-C" is appended after that. A space character is given the name "space"

Basic Animation

One of the "Preset Animations" is specifically designed for building a flying logo of this type. So to start the procedure execute menu command File/New From Template... This displays the dialog of OpenFX's built in templates:

Tut2_g.gif (3802 bytes)

The one we need is called "Travellers" (labelled 1 above). After highlighting it and clicking the OK button we get a file open dialog as show below:

Tut2_h.gif (7705 bytes)

Note here the title of the dialog. "Model at head of precession" In essence this animation consists of a group of models (the letters) following a path. In this dialog you select the .MFX file which holds the description of the first letter in the chain of letters 'B', 'a', 'l','a' etc. - So we choose the B1-C (see label 1 above).

The template proceed to ask you "How many frames you need to make the animation" I suggest 180 this corresponds to a 6 sec clip (under the NTSC frame rate). Enter the number as shown below and click on OK

Tut2_i.gif (1712 bytes)

The next question the "Travellers" template asks is what path to follow. A File Open dialog presents a list of saved paths. There are a number of default paths and you can build your own in the modeller if none of these are suitable for your requirement. For this example I choose a spiral path "Spiral.pth" (1) below:

Tut2_j.gif (5652 bytes)

Now we continue to add all the other models that represent the characters in the expression we are animating:

Tut2_k.gif (7904 bytes)

This step uses a number of File Open Dialogs to add the remaining models. Select each one in turn and click on "Open". After you have added the last one click on "Cancel" You can just choose them according to the sequence number: a2, l3 etc.etc.

After dismissing the last Open dialog OpenFX assembles the elements in the animation and the window box display will resemble the following:

Tut2_l.gif (10630 bytes)

In the screen shot above we see the Top and Front Window Box views. In them the spiral path is clearly visible at (1) it is less evident in the front view (but appears as a straight line at the bottom of the Front window).Also visible at (2) are the Bounding Boxes of each of the letters in the text. They look a little strange because they are very large in relation to the size of the spiral path that they will follow. Also this figure shows the state of play during frame 1 at the beginning of the animation so all the models overlap. If you like drag the slider below the Camera window to the end of the animation to see how these bounding boxes follow the path. (If you do this slide it back until frame 1 is again the current frame.

It should be obvious that we need to make the spiral path larger. This can be done easily by expanding it but before we can do that we must select it. In the animator a selected actor is drawn in yellow, the deselected actors appear light blue. To select an actor we click on its outline or in the case of paths; one of their control points (the rectangles - arrowed below). Click in the path control point and it will turn yellow:

Tut2_m.gif (4368 bytes)

With the path selected clink on the "Scale" tool (1 below) in the main tool panel. The path will be drawn in "inverse video colour" and a small floating tool palette (at 2) will pop up, ignore this for the moment. The path is scaled interactively by clicking in any of the view windows and dragging the mouse left or right, Dragging to the right expands the selected actor. Dragging to the left contracts the size. (Incidentally Double clicking on the tool Icon brings up a Dialog Box into which you can enter numerical expansion factors). After some experimentation you should be able to enlarge the path enough so that you can hardly see the letters bunched together at that start of the path. The path should look like that shown below at (3). At this stage you could also click ON and drag the Camera icon away from the scene until you get a suitable view in the Camera window:

Tut2_n.gif (19011 bytes)

For our next step we will make some minor modifications to the shape of the path using the control vertices on it. To do this we again start with the path selected. To edit the path we need to move into path edit mode. This is done by selecting the "Vertex" tool from the main tool palette at (1) below:

Tut2_o.gif (19132 bytes)

In path edit mode there are 4 actions that we can take and they are chosen from the small floating tool palette at (2). You can see the default action is Move and for now this is all we need so we can proceed to modify the path at (3) by moving its control vertices.

Carrying out any path modification requires two steps.

  1. Select the path control point to be modified.
  2. Move (or modify) it by clicking and dragging the mouse in one of the view windows.

To select a path control point Click (and release the left mouse button) while pointing the mouse at the control point. A selected control point is shown in a different colour from the other control points. To move the control point Click and drag the mouse (click anywhere in the view windows).

Now try moving the control point at the end of the path (3 above) to extend it slightly. When you are finished either choose the Actor Selector Tool from the panel or click the close button on the floating tool panel.

Our path and letters are now loaded. To complete setting up the animation we now must load the model of the Earth we completed earlier. This is simply done by using the "Insert" button from the main tool panel and choosing "Actor". A File Open dialogs for MFX files is presented and you should choose the EARTH.MFX file.

In the animator Window Box display the model for the earth is shown as a cubic bounding box, (at 1 below) click on any line to select it and you should have a display something like that shown below. (The picture below also includes a "Quickrendering into the Camera Window (F12)):

Tut2_p.gif (19417 bytes)

You may need to move the Earth a little - you can do this quickly by Clicking on its bounding box outline and dragging it to the position you think is best. You might also notice in the above a "Blue" background to the camera window - this is not what we want - but we will fix it up later. For the moment we will move on to make the Earth rotate about its axis.

Making the Earth perform one rotation during the animation is best accomplished by using an "Internal Rotation". To set this up we move on to the "Keyframer" which appears at the bottom of main window (in the area of arrows 2 and 3 above.) With the model for the Earth selected this shows the animation timelines for its action. In your display it is probably named 2Model-20" or some such. We can change this by clicking on the small black arrow at (2) this gives us a popup menu and by selecting the rename command we can give our model the much more descriptive name of "Earth". Now your display should resemble that above. If the coloured boxes at the end of the Keyframer (at 3) are not showing; drag the slider at the bottom of the Keyframes all the way to the right until they appear.

In the keyframer the timelines are clearly visible as coloured lines. The Green timeline ending at (3) is the rotation timeline. We change its properties by Double Clicking the rectangle at the end of the timeline (at 3). Hopefully this will bring to life the following timeline Dialog:

Tut2_q.gif (9176 bytes)

To set the Earth rotating all that must be done is to click the button labelled (1) above and dismiss the dialog by clicking OK.

Earlier I said we need to remove the un-space like blue background. In the animation a background is provided by the Sky actor so it is this we must change. To get at the dialog that controls the sky the simplest method is to being up the actor selection dialog (Press A) and double click on the one labelled Sky - it has a little cloud symbol:

Tut2_r.gif (10956 bytes)

To change the sky to the Jet black of outer space click on the Plain Sky button (1) and use the Colour Button (1) to select a black colour. In the next section we will see how to insert a starfield.

So that's it!!! I suggest you now save your work in a named .OFX file. All the basics are in place, we could render off our animation but at this stage we will settle for a wireframe preview. (Menu Frames/Wireframe Preview..)

Finishing Touches

To finish off the animation we will modify the camera's "Size" to achieve the effect of it zooming in on our "Balanced Excellence". In OpenFX the Size timeline in the Keyframer controls the setting of the Camera's zoom lens. If the camera is not selected click on it, so that it turns yellow. In the keyframer window you should be able to see the timelines for the camera as shown below:

Tut2_s.gif (10503 bytes)

The size timeline lies at the bottom of the timelines and is coloured "Red" It has one keyframe (red rectangle) at the end of the animation. (At 2 above). In order to obtain a 2zooming" effect we need to add a second keyframe to this timeline. I have chosen to put this at frame 145. A keyframe is introduced at any point in a timeline by clicking on that timeline. Move the mouse to frame 145 (A vertical "indicator" follows the cursor and the Status bar at the bottom of the window tells you which frame is currently active). This is point labelled (1) above.

If you double-click on either of these keyframe you will get the camera settings dialog (below) into which you can enter setting for the camera lens. (The diagram below applies to the keyframe at (1) above i.e. for frames 1 to 145. Don't alter the stetting just press the OK button. We will adjust the degree of camera zoom interactively by using the Scale tool from the main tool panel.

Tut2_t.gif (3387 bytes)

To adjust the camera zoom setting - make sure the Camera is selected and the last frame in the animation is on display - click the scale button on the main tool bar (or press S). Now you can adjust the zoom setting on the camera by click-dragging the mouse to the left or right. You should see the camera's field of view narrow or widen and the effect on what the camera sees should be evident in the Camera window itself.

Once you have a setting you like dismiss the scaling tool by clicking on the actor selector (or just press 0).

Before rendering the animation there are a couple of further adjustments worth investigating. Firstly our scene is set against a backdrop of stars. So we will use an image post-processor to put in an actual starfield. We don't need the fine tuning that an Xip actor give us so an Image Processor applied to all frames is quite sufficient.

To set up a starfield for all frames execute the menu command Edit/Image Process All frames... The following dialog box pops up:

Tut2_u.gif (3911 bytes)

Click on ADD and choose "STARS.XFX" from the list in the File Open dialog. After the Stars parameter dialog pops up (below). Click on the "Data in File" radio button and press OK.

Tut2_v.gif (18674 bytes)

Close the Image Process All Frames dialog.

For our final trick we will alter the properties of the spiral path so that as the letters in our "Balanced Excellence" flying logo approach the end of the path - they slow down. This effect is achieved by altering the path velocity. To do this first select the path (click on one of its control points - our use the actor selection dialog (A)) - then execute the Menu Edit/Path Velocity command to display the following dialog:

Tut2_w.gif (5907 bytes)

By adding a couple of control points to the curve (at the red arrows above) you can instruct the models to slow down as they approach the end of the path.

Finally it only remains to render our project. Sit back and enjoy the "Balanced Excellence"


Tutorial 2 Basic Morphing

Tutorial 2: Morphing (Basic)

Introduction

To 'Morph' means literally to change form. In computer animation it is 'morphing' that helps up make the impossible possible. Movie and TV commercial makers use computer generated morphs to bring apparently inanimate objects to life. The dancing juice carton, facial expressions of animated characters and 'bendy' cars are all produced by morphing a basic shape.

In the context of computer animation software packages you start with a model of the basic shape or object and then use the tools of the software to distort it in to a number of 'key' shapes. Then during the animation phase the key shapes will be joined up to give a seamless change from one form (morph) to another.

An animator could use the morphing technique as the only method of animating the models in a virtual scene. However there are much more efficient ways of animating simple 'rigid' motion (i.e. keyframes for position, rotation, scale etc.). Even for the gross actions of articulated figures there are better ways to do it. A 'skeleton' around which a wireframe mesh is attached makes realistic motion much more readily attained. Add some 'mathematical musculature' and a lot of the drudgery required to set up all the 'key' morph shapes is avoided.

However there are cases were morphing is unavoidable and it often is the 'best' way to achieve some effects (the dancing juice carton in TV ads. is a prime example). An ideal computer animation package provides to its user all these different techniques.OpenFX indeed does this and in this tutorial we will look at the basic use of morphing. (Subsequent tutorials will look at Skeletons).

Basic Background

In the context of OpenFX morphing is heavily associated with the Modeller module. To animate the morphed shapes require simply the setting of a few switches in the Animator and the adjustment of at which time the key frames occur for the Costume timeline.

OpenFX supports two methods of morphing:

  1. Topologically identical structures (Each morph has the same number of vertices)
  2. Topologically dissimilar structures. (Each morph may have a different number of vertices)

We will start by looking at type (1) morphing. However before getting in to details let's consider the basic fact:

All models are build from triangular facets attached to vertices positioned in space.

The facets (faces) give the surface attributes and are what is actually visualised. In the context of morphing we might want to change their colour or texture during the morph. The shape of the object is dictated by where the vertices in the model are located,so moving the vertices will change the shape of the model. For example we could easily change a spherical shape into a cubic one by moving the vertices in the sphere. A change of shape is probably the most common use of the morphing technique.

To get the ball rolling we will look at this simple morph Sphere >>> Cube >>> Sphere...

So we need modes of a sphere and a cube, and they must have the same number of vertices. Now obviously you can make a cube with only 8 vertices but this would not make a very good model for a sphere so we might as well start with the sphere. This sets a very good principle when using the morphing technique:

Start with a model of the object that requires the greater number of vertices to represent its shape

You can then produce the shape of the second model by moving the vertices from the first model into positions that best represent the shape of the second model.

Note that we don't suggest building the second model from scratch and adding vertices to it until it has the same number as the first model. We start with the first and produce our representation of the second from the first model - this is a very important principle of morphing.

The reason for this is that the animation software (OpenFX) has a numbered list of all vertices in the model and it associates vertex 1 from model 1 with vertex 2 from model 2, vertex 3 with vertex 3 etc. etc. In the animation phase vertex 1 from model 1 moves to the position of vertex 1 in object 2 etc. etc. Thus, just supposing we morphed two similar cubes (you would expect not to see any changes) however if the list was reversed so that the top right back vertex was first in the list for cube 1 but the bottom left front vertex was first for cube 2 then as the morph progresses in the animation we would see the cube appear to turn itself inside out, which is probably not the effect we were looking for.

Now back to the example:

Modelling

Start OpenFX and switch to the modeller. Use the build primitives menu command to build a cube, (I know I said earlier we would start with a sphere but in OpenFX it is actually easier to do it the other way round. - we must just remember to add a lot of vertices to the cube.) Hopefully you will start with something like this:

tut3_1.jpg (76422 bytes)

Use the Build Primitives Modless Dialog to add a simple cube which is centred on the Yellow Cross (Centre of model)

Modelling continued...

The basic cube has far too few vertices to make a convincing Sphere so we must add a large number of vertices to the basic cube. This easily done by subdividing every face in the cube a couple of times. Make sure all the vertices are selected (Coloured Yellow). Use the Actions/Subdivide (<ctrl>+V) menu command three times to give a cube with 768 faces. It still looks like a cube but now has enough vertices for us to distort it into a Spherical Shape. After division it should look like:

tut3_2.jpg (100886 bytes)

I also coloured it Red and set the Shiny flag.

The trick now is to turn the cube into a presentable sphere. This is easily done with the Explode Action. First however we need to place the cursor at the centre of the cube. Use the Actions/Snap Cursor/To Centre menu command. Now we can use the explode command to push every vertex to the edge of a sphere centred on the cursor. Use the menu command Actions Explode Polygons to call up the Explode Dialog:

tut3_2a.gif (5344 bytes)

Click the radio button "Sphere centre on 3D cursor" and press the OK button. You should see that every vertex in the cube has been pushed out onto the surface of a sphere that is a bit bigger than the original cube. For our purposes it is still a bit big. So we will scale it down by a factor of 0.75. Use the Actions/Scale menu to bring up the Scaling Dialog:

tut3_3.jpg (32491 bytes)

Enter the factor 0.75 in each of the three edit boxes and press the Scale button. The sphere will be reduced in size. Dismiss the Dialog by pressing the Close button. You should now have a fairly presentable sphere that will morph smoothly back into the cube from which it was moulded.

As a last little effect we will change its colour to yellow and make it smooth. Press F8 to display the Materials Settings Dialog. Use the swatch to make the colour yellow and click the smoothing Check box. A 'Preview' should give the result below.

tut3_4.jpg (50095 bytes)

Animation

The key point to make about Morphs in OpenFX is that it is done by changing the Costume of an actor over a range of frames. To do this we must use the Keyframer, so make sure it is visible as either a 'pop up' window or is docked at the bottom of the main screen.

We are only making a simple animation so we can start with a basic One Frame template animation using the Sphere model as the only Actor in the scene. We use this single frame animation to arrange our camera and light position. Something like that below should be OK:

tut3_5.jpg (73278 bytes)

This scene has a single actor called Model1 (you can just make out its name in the image above and note the light blue box on the Costume time line). We must now extend the time span of the animation so that we can fit in some action. Use the menu command Frame/Set Animation Length to display the following Dialog:

tut3_6.jpg (28571 bytes)

Enter an animation length of 60 frames and click the 'Blanks' radio button. Press OK and examine the timelines in the Keyframer. It might be a good idea to have the Keyframe floating (<Ctrl>+k) so that you can see all the timelines of all the actors at the same time:

tut3_7.gif (25852 bytes)

The fact that we added 'Blanks' means that none of the timelines for any actor (except the main camera costume) have been extended beyond the first frame. The camera's costume is at (1) above. All the other timelines Costume, position, rotation etc. only exist in frame 1 (see (2) above) . If we were to preview the animation everything would change abruptly in frame 2, with the Model and Light disappearing.

We do not want this so we must extent manually the timelines with the exception of the Model1 Costume timeline. Adding a costume timeline for Model 1 is how we will effect the morphing and I will get back to this shortly. To extend the other timelines take each one in turn and Click on the coloured squares (at (2) above) and drag the timeline out until they all span the full duration of the animation. You should have a display like that below:

tut3_8.gif (17449 bytes)

At (1) above you can see that the costume timeline for model 1 still only spans the first frame in the animation. Now we come to the point where we will insert the Morph. Click on the Model 1 Costume timeline in frame 30, at point (2) above. A file open dialog will be displayed:

tut3_9.jpg (54755 bytes)

Use this file open dialog to select the second costume for Actor Model 1. Since we started with the sphere we need to load the Cube costume. (at 1 above). To get the actor to change costume from whatever it was wearing previously to this new cubic costume click on the 'Linear' Morph button at the bottom of the Dialog. (at point 2 above). Choosing a Linear Morph, means that actor Model 1 will 'gradually ' change from the SPHERE.MFX model to the CUBE.MFX over the interval between frames 1 and 30. If the morph had not been set there would have been an abrupt change from sphere to cube in frame 2. To complete the animation and morph back from cube to sphere click on the costume time line at frame 60 (at 3 below) and load the sphere again setting a linear morph.

tut3_10.gif (29058 bytes)

Your completed keyframer settings should resemble that shown above. We will need a black background so double click on the Box at the end of the Sky timeline in frame 60, choose Edit from the Info dialog and use the Edit dialog to set a plain black background for the sky.

As a final step before rendering the animation use the Frame/Wireframe Preview menu command to make a preview of the effect of morphing:

tut3_11.jpg (70854 bytes)

Use the renderer with your own preferences for size and output format to generate the final animation.

Results

If we look at the results of the animation we will see that the sphere changes to a cube and back to the sphere. It also changes from a yellow colour to a red colour. The images below show the results in frames 1, 10, 20 and 30:

tut3image_1.gif (4742 bytes) tut3image_10.gif (6391 bytes) tut3image_20.gif (5166 bytes) tut3image_30.gif (2950 bytes)

If your browser has the AVI player plug-in you can use the control below to preview the movie. There is one interesting thing in the move. If you look closely at the first couple of frames you will see that some of the facets in the sides of the cubes are very evident. The reason for this is that we did not attempt to smooth the cube; After all a cube is supposed to have flat sides and sharp corners. However as we are morphing it to a sphere it should be near smooth. We can achieve this be loading the model into the Modeller module and setting the 'Smooth' Check Box in the Attributes dialog.

OpenFX is quite clever and decide for itself whether edges should be smoothed out or not. Have a look at the result below. Note also that I have set the whole of the 'Model 1' actor to rotate by adding a Rotation timeline with an Internal Rotation. This just adds a small effect.

In the next tutorial we will look at Quadratic Morphing and under what circumstances you can and you can't use OpenFX's Dissimilar Morphing.


3D Cursor

The 3D Cursor (sometimes called the Tri-view Cursor) is used indicate an exact position in 3D space. The intersection of any two 3D cursors in the Working-Volume Top, Front, or Side views indicates an exact position in 3D space. The 3D Cursor is positioned with the Windows' Mouse Cursor.

The 3D Cursor can take the form of either a Cross Hair or a Cross Wire. Note you can toggle between these two 3D Cursors with the F9 Key.

Cross Hair 3D Cursor

Cross Wire 3D Cursor


3D Plot Tool

This tool plots curves in three dimensions by creating vertices and edges in the Working-Volume view windows.

The vertices are created at the position of the 3D Cursor and the edge joins the new vertex to the last vertex created.

Move the 3D Cursor near the place where you want to start the curve. The curve can be started by attaching it to a selected vertex. Place the 3D Cursor near a selected vertex. Keep the left mouse button held down. Click the right button to attach the plot to a vertex, or to create a new vertex at that location if there are no other vertices nearby. Click and drag the rubber band edge with the 3D Cursor to where you want the next vertex (this can be another edge). Keep the left button down and click the right button. A new vertex will be created and an edge will attach it to the last vertex. If you click on a selected vertex, the edge will join it to the last vertex. If a triangle is formed with any other edges, a face will be added as well. Use the CTRL key modifier to disable the automatic attachment to any existing vertex.

While plotting a 3D curve, you can move between the three Working-Volume views to place each vertex in three dimensions.


Activate Camera

This option enables you to activate the selected Camera. The name of the selected camera is displayed in Status bar (lower left) of the screen.

Only one camera may be active at a specific time although multiple cameras can exist in an animation.


Terms used in the Animator

3D Cursor - To be able to work in three dimensions it must be possible to specify a point in space where your tools do their work and the actions take effect. A two dimensional computer screen is one dimension short therefore in addition to the normal mouse pointer a second "Cursor" is provided. This cursor can be placed anywhere in 3D space by dragging it (with the mouse pointer) in one, two or three of the Working-Volume view windows.

Actor - An Actor is the term used for each directable element in the Animator. An Actor is given a costume, the costume is implied by the type of Actor and costumes can change from frame to frame. An Actor on the other hand is constant throughout the animation. There are 12 types of Actors. The most important of which is the "Model". A Model Actor uses models from the Designer module as its costumes. Models are stored in files with the name extension .MFX.

Actor's track - The track of an Actor is an implied path that the Actor will follow throughout the whole animation. A track will only be visible if the Actor has at least two contiguous movement timelines.

Active Window - The Active Window is the Working-Volume view window with input focus. It is highlighted by being surrounded with a focus rectangle. When the multi-views are visible pressing the Tab key activates the the next window in a cycle. Clicking the mouse in any view window activates it.

Center Point - Each Model has a point which is used in the Animator to "hold" the model. For example if a model of an aircraft is following a path then the point in the model that is exactly on the path is the Center Point. For an aircraft it should be the center of gravity.

Timeline - To direct the activity of an Actor during an animation requires the use of four timelines, one each for costume, movement, rotation, and scale. A timelinel spans a number of frames and has a Keyframe associated with it. The Keyframe is the frame in which the action of the Actor is exactly exactly specified, other frames spanned by the timeline have the action of the Actor determined by interpolation.

The Keyframe is always the last frame in the timeline. A timeline therefore is a range of frames where an action of the Actor is determined from the details specified in the Keyframe at the end of that timeline.

TImeline Span - A Timeline spans the current frame if the first frame in the timeline is less than or equal to the current frame and if the last frame in the timeline is greater than or equal to the current frame.

Costume - To be visible in an animation an Actor must wear a costume. The type of Actor dictates what sort of costume an Actor can wear, but Actors may change their costume during an animation.

Current Frame - The current frame is the frame in the animation that is displayed in the view windows and in which any changes take effect.

Curve - A set of vertices connected together by edges without forming any faces. Curves may be open or closed.

Edge - A line segment connecting two vertices (the plural of vertex).

Face - A triangular surface area composed of three edges joining exactly three vertices .

Follow Point - A location (specified in the Designer module) in a model which other Actors can follow.

Example: The tail rotor of a helicopter can be simulated by making models of the fuselage and rotor, setting the fuselage follow point at the axis of the tail rotor and then instructing the tail rotor to follow the fuselage.

Frame - Like a conventional cinematic film an animation is build up from a large number of still pictures (images) shown for approximately 1/24th sec. Each of these pictures is called a frame.

Gourand Shading - A rendering algorithm that shades models smoothly by blending and blurring adjacent surfaces together. Gourand shading is the rendering method used by the OpenGL Shaded Camera View.

Image Map - An Image Map is a picture in a GIF or TGA file that is painted on to faces in the model to add decals or other surface detail.

Indicate - To choose one particular vertex, edge, face, or connected part of a model to be affected by an operation by placing the 3D Cursor on or very near it (within one or two pixels). If more than one vertex, edge, face, or part of model is indicated in the current Working-Volume view window, then the one closest to the 3D Cursor in the other Views will be used.

Keyframe - A Keyframe is a frame in which some information is specified about the activity of an Actor. It always occurs at the end of a timeline. The action of the Actor in other frames spanned by the timeline is determined by interpolation.

Model - A model is the main unit of structure. A model is made up of faces and each face is bounded by three edges. The size, position and orientation of a face is determined by the vertices that define it.

Modifier Keys - The Shift, Ctrl and Alt keys are used to modify the action of the Designer tools. If one or other is held down as the tool is used then the action of the tool is modified in some manner.

Morphing - Enables one model to gradually change shape into another model.

Node - A node is a point on a path or robot that can be manipulated. Represented by a small square on the path or the robot.

Origin - The default origin is coordinate values of (0, 0, 0).

Path - A Curve that used in the animator as templates for Path Actors (.PTH) and may be used in the Designer as paths for the Extrude along function.

Phong Shading - A rendering algorithm that shades models smoothly and accurately depicts surfaces, textures, and reflective properties (such as specularity) and can simulate mirror reflections. The Renderer uses Phong rendering by default unless ray tracing is enabled.

Phong Smoothing - This is a procedure that helps to remove the faceted appearance from the curved surfaces of models.

Ray Tracing - A complex rendering method that accurately renders mirror effects, transparency, shadows, and refraction (bending of light through clear surfaces). Ray tracing is the most realistic rendering available but is also the most time consuming.

Selection Status - Each vertex in a model can be in one of three states, Selected, Deselected or Hidden. Selected vertices are manipulated with Tools and Actions. Deselected Vertices are not affected by tools or actions even if connected to selected vertices. Hidden vertices are never drawn but remain as part of the model until revealed.

Texture - A texture is an algorithmic procedure that can add fine detail to the appearance of surfaces in the model. Examples are Wood and Marble finishes.

Skeleton - The Skeleton and the Names Hierarchy are one and the same thing. The Skeleton in addition to facilitating a hierarchical naming system for set of vertices provides a way of deforming parts of the model.

Skeleton Joint - The Skeleton is made up from a number of Joints, each Joint has a "long bone" associated to it and a "node" at one end. Each bone is attached to one other Joint at it's node or the "Root node".

Specular Highlight - Shininess is simulated by what is known as a specular highlight. Basically, the more shiny a surface the smaller the specular highlight. For example, plastic material has a less shiny appearance than tin, so a plastic bottle will have a larger specular highlight than a tin can.

Vertex - A distinct point in 3D space represented by a yellow dot if selected or a purple dot if deselected.

Working-Volume - The Working-Volume is a cubic volume of space which is used as the working environment for building models and setting up animations. It can be moved around and changed in size so that details on a model can be constructed without having the screen cluttered up by every vertex and edge in the whole model in view at all times. The three right angle view windows are views into the Working-Volume, normally they are a Top view which looks down, a Side view and a view from the front or rear.


Camera View

The Camera view displays a three dimensional rendering of the active camera's viewpoint at a specified frame.

The frame number displayed is specified using the Camera View Animation Controls at the bottom of the Camera window.

The Camera View defaults to using OpenGL shading. You can quicky toggle between the shaded OpenGL Shaded Camera view and the Wireframe Camera view by pressing F11 or right clicking on the Camera window and choosing "Hide/Show OpenGL Camera View".

See also:
Hidden Line Camera View
Quick Render Preview


Camera View Animation Controls

These Camera View Animation Controls reside below the CAMERA window. They enable you to specify which frame is currently displayed, move to keyframes, and quick preview animations. At the bottom right corner of the camera window is the current frame indicator. You can move to a specific frame by entering the frame number into the Frame Number button.

Frame Toggle Bar
Go to Previous Keyframe
Go to Next Keyframe
Play Animation
Play Bounding Box
Frame Number Button


Closed Path

A Closed Path loops and must have at least three nodes.

Closed Path

Note the Node/Vertex Tool can be used to modify the shape and number of points describing the path.


Costume Channel

Costume Timeline

The Costume timeline is the first timeline (teal colored horizontal bar) in the Keyframer and dictates the appearance of the Actor, i.e, what costume the Actor is wearing. If a Costume timeline is present the Actor is on stage and is performing some role.

Note: an Actor can exist without a Costume timeline, but it will be something like the Invisible Man. You won't see it in the Animator until it puts on a Costume. This is an effective way to make Actors disappear during animations; just delete their Costume timeline from the appropriate frames.

With the exception of Camera and Target type Actors, which have no detailed Costume parameters, settings are grouped in a dialog which appears when a timeline is created. The dialog shows the timeline extent, and other settings which will depend on the type of Actor.

Double clicking on the keyframe indicator at the end of a costume timeline shows a dialog box, with buttons to edit the settings for the Costume, delete it, cut it out, or copy it.

Edit - Brings up the Edit Settings dialog for the Actor. In the above example, Costume for the Model Actor, the Edit Model Dialog would appear.

Cancel - Dismisses the Costume timeline dialog.

Delete - Deleting a timeline removes it from the Keyframer.

Cut Out - Cutting out a costume timeline deletes the timeline and shifts all later movement timelines back in time to fill the gap.

Copy - Copying a costume timeline places a new timeline with the same settings and duration at the end of all the other costume timelines for this Actor. You can use this feature to 'leapfrog' costume copies in a repeating cycle for Morph or Robot Actor sequences.


Direction Tab Page

Controls the rotation of an Actor along a Track.

The direction the Actor would be pointing at each Rotation keyframe is indicated with an arrow. Click buttons in the dialog to choose which rotation axis is edited. Only Tween or Accelerated rotation timeline types can have a their rotations controlled through this mode. Any other rotation timeline types cannot enter Edit Direction mode. The shape of the Track depends on the movement timeline for the selected Actor.

Direct - The Direction the Actor is pointing at keyframes on the track is adjusted by clicking on a keyframe arrow to pick it up. Move the mouse and the direction arrow will pivot Round, Up/Down or Bank left/right. Click again to release your hold on the arrow. If a non-keyframe frame indicator is selected you will be prompted with the option to make it a keyframe.

Time Shift - Adjusts which frames are the keyframes in the selected Actor's rotation timeline. Click on the keyframe arrow to pick it up. Move the mouse left or right to shift the keyframe to an earlier or later frame. Click again to set the arrow down. This is like slipping beads up or down the string running through them.

Delete - Demotes a Keyframe to a normal frame.

Tension - This only applies if the Rotation timeline is of Accelerated type. If it is then in this mode the direction arrow can be made to "behave less elastically". Click on the keyframe arrow to pick it up. Move the mouse left or right to adjust the tension in the spline "elasticity in the arrow directions". Click again to set the arrow back down. This is like tightening or loosening the string running through the selected bead.


Fill Outline

Fills single or multiple closed curves with edges and faces to make the outline solid and visible when rendered.

The curves must lie in the same plane and must not intersect or be looped. If one curve lies inside another it will result in a hole in the outline as in the internal hollow of the letter

Unfilled Outline

Filled Outline


Fill to Cursor

Creates faces to fill a space surrounded by selected vertices . An extra vertex is placed at the 3D Cursor position. The extra vertex is then joined to every other selected vertex by new edges. Where the edges form faces, new faces are added.

This function is most useful for filling convex outlines.

Unfilled Outline

Fill to Cursor with 3D Cursor on same plane as outline's vertices

Fill to Cursor with 3D Cursor above the plane with outline's vertices


Frame Number Button

Displays the current frame number.

You can move to a specific frame by clicking on the Frame Number button and typing in the frame number in the Go to.. dialog.


Frame Toggle Bar

Frame Trackbar

Click and drag the trackbar to flick rapidly through all the frames in the animation. As you track through the animation the frame number is updated in the Frame number button.


Go to Next Keyframe

If an Actor is selected and it has a Costume assigned, clicking this button will set the current frame to the keyframe at the end of the timeline which includes the current frame. If the Move tool is active then the keyframes of the Movement timeline are used by this function. The same is true for the Rotate and Scale tools. If the Selector, Pan or Zoom tools are active, the Actor’s Costume timeline is used by this function.


Go to Previous Keyframe

If an Actor is selected and it has a Costume assigned, then clicking this button will set the current frame to the keyframe at the beginning of the timeline. If the Move tool is active then the keyframes of the Movement timeline are used by this function. Similarly for the Rotate and Scale tools. If the Selector, Pan or Zoom tools are active then the Actor’s Costume timeline is used by this function.


Hidden Line Camera View

Displays the Camera View with hidden lines removed so that edges that are obscured by the faces in front of them are not displayed.

Draw the Camera View with hidden lines removed by right clicking on the Camera window and selecting the Draw Hidden Line context menu.

Hidden Line Wireframe Rendering

Normal Wireframe Rendering

To toggle the OpenGL Shaded Camera View back on you can invoke the Show OpenGL Camera View menu, press the F11 key, or right click on the Camera Window and choose Show OpenGL Camera View.


Image Processor Effect Types

Image Post Processor Effect Types

Inserts an Image Processor Effect choosen from the Select Image Processing Module dialog.

Blur - Blurs the screen to simulate Motion Blur.

Depth of Field (Dof) - Simulates photographic depth of field.

Filter - Changes the color of all pixels after the rendering is complete.

Flare (Lens flare)- Simulates the effects of lights flaring in the lens of a camera

Fog - Simulates fog and haze.

Glow - Adds a glow to any pixels with a key color.

Halo - Adds a halo around lights.

Hilite - Adds a hilite for lights.

Lasers - Simulates the appearance of a laser beam.

Starfield - Generates a scrolling starfield.

Stars - Creates the effect of a starfield in an animation.

SuperNova - Simulates the effect of a star going supernova.

Trails - Leaves a trail behind for all models that move in a animation.

Video - Offers 24 different video effects.

Xvideo - Offers 26 additional different video effects.

See also the additional special Image processors.

Fireballs..

Atmospherics...


Insert Path

Inserts a Path into the Animator at the location of the 3D Cursor.

A Path is a spline passing through a number of control nodes. A Path Actor is not visible when the animation is rendered. It is used by other Actors to track their movement along a smooth curve. The speed the Actor moves along a Path is specified by a Path Velocity Curve. Path types may be open, closed, or loaded from a previously saved PTH file.

The shape and number of control points of a Path can be edited with the Vertex/Node Selector Tool. A Path node is selected by clicking on it. The action performed depends on the option indicated in the Path Editor dialog.


Internal Rotation Types

There are a few special rotations that are difficult to arrange manually, quite commonly desired, and are best described as 'internal motion'. The buttons in the box marked Internal Rotation give a quick way of specifying motions that are 'internal,' that is, relative to the Actor, no matter what other actions the Actor is performing. The rotor blades of a moving helicopter are a good example of internal rotation. The Actor's direction can still be specified in its key frames, while the internal rotation is 'underlaid' on the tween.

None - No internal rotation.

Vertical Axis - Actor is rotated internally through the vertical axis (the Z axis in the Top View) of the Actor's center.

Side Axis - Actor is rotated internally through the Side Axis (the X axis in the Side View) of the Actor's center.

Front Axis - Actor is rotated internally through the Front Axis (the Y axis in the Front View) of the Actor's center.

Clockwise - Actor is rotated in a clockwise direction in the specified Vertical, Side, or Front Axis.

Anti Clockwise - Actor is rotated in a counter-clockwise direction in the specified Vertical, Side, or Front Axis.


Keyframer Layout

The Keyframer is a module where the timelines and keyframes of all Actors can be viewed and edited in one display.

In the Keyframer window, time runs horizontally from left to right. Each Actor can have up to four timelines plotted in a horizontal band. The four timelines, from top to bottom, are Costume, Movement (Position), Rotation, Scale. The band for the main Camera is always at the top of the window with subsequent bands containing the remainder of the Actors.

The timelines are the red horizontal lines and the colored dots at the end of the timelines are the keyframes. The Keyframer has a single Edit menu where Actors can be added, deleted or renamed. The status bar shows the range of frames (in the bottom left corner) and the currently indicated frame (in the bottom right corner). As the mouse is dragged over the window a crosshair cursor jumps from frame to frame and timeline to timeline.

Normally timelines and keyframes are created implicitly as Actors are added and the tools are used to move then into position and tell them what to do.


Loaded Path

A Loaded Path (sometimes called Filed Path) is one that was previously created in the Designer and saved with a .PTH extension.

A Loaded Path can be of any type and are stored in the Models folder. Sample loaded paths such as Circular.pth, Elliptic.pth, Helix.pth, Parabola.pth, and Spiral.pth are included.

Note the Node/Vertex Tool can be used to modify the shape and number of points describing the path.


Model Costume Channel

Model Costume TImeline

The Model Costume timeline enables you to turn on morphing, define the frames which the Model will appear, define the specific Model to be used, and add Special Effects.

Morphing - Enables one model to gradually change shape into another model. Quadratic morphing interpolates between three models to give a slightly smoother transformation.

To morph a model from one costume to another there must be at least two Costume timelines. Each timeline will have associated with it a model (from an MFX file). The appearance of the model will gradually change from the form described in one file to the form described in the other, as long as the two models have the same number of vertices, edges and faces. If the two models are not sufficiently alike, the costume will sharply 'snap' from one model to the other at the keyframe.

Wireframe | If checked, the Renderer will render this Actor as a wireframe (not hidden line) in the scene with other Actors which may not themselves be wireframe. The wireframe is rendered anti-aliased. It works best at high resolution with best anti-aliasing and accelerated aliasing turned OFF because wires are quite thick at low resolution. Note that the Actor still casts a solid shadow and will appear solid in any reflections or ray traced features.
Self Shadow | If this box is checked (by default), the Actor casts a shadow on itself when Ray traced shadows are being rendered. This setting is ignored in non-ray traced rendering mode.
Cast Shadows | If this box is checked (default), the Actor casts shadows. This could be shadows on the ground or on other Actors. In non ray traced mode only spotlights cast shadows, except in the special case where an Actor has been assigned a "pseudo" shadow plane - in the designer.
Show Shadows | If this box is checked (by default), the Actor shows shadows (on itself) from other Actors. Note again that only spotlights show shadows on other Actors, except in ray tracing mode.


Movement Channel

Movement Timeline

The Movement timeline in the Keyframer controls where and how an Actor will move from keyframe to keyframe.

The Movement Timelineis the second timeline in the keyframer and is colored yellow. Double clicking on a keyframe node will bring up the Movement timeline dialog.

All settings are grouped in a single dialog which will appear when a timeline is created or edited. The dialog shows the timeline extent, the coordinates of the position of the Actor in current units, and the specified Movement Type.

The Delete button deletes the timeline.

The Cut button deletes the current timeline and shifts all later movement timelines back in time to fill the gap.

The Copy button copies the movement characteristics of another Actor.


Movement Types

The Animator provides six different movement types or ways to move an Actor.

Tween - The position of the Actor is interpolated linearly between the first keyframe and the following keyframe. For example, if the Actor has movement timelines in frames 1-1 and 2-10 and it is at (0,0,0) in frame 1 and at (10,10,0) in frame 10 then it will be at (5,5,0) in frame 5. Put simply, in half the time it will move half the distance.

Spline Tween - The position of the Actor is interpolated on a spline curve anchored by keyframes which removes the effect of sharp corners at keyframes. This provides more natural motion with acceleration and deceleration rather than rigid starts and stops.

The last four types of movement require that the Actor follows another Actor. The Actor to be followed is specified by clicking the Select button in the Follow box. When an Actor has been selected the radio buttons for the Follow options will be enabled.

Follow - The Actor will follow another Actor or travel along an assigned path. Hint: Make a light follow the camera. This will ensure good illumination of all visible Actors.

Follow with Offset - Follow an Actor using the Actor's offset. The offset is specified in the model that the Actor is using for its costume. The model's offset is indicated by the red cross (Follow Point) which is visible in the Designer

Follow On a Path - Follow an Actor on a Path trailing by the Actor's offset. Note that Paths, Targets and Lights do not have an offset to follow. Follow-On can be used to follow an Actor that is itself following on. In this way "Trains" can be built up like a locomotive and a set of box cars. The loco follows a path, the first box car follows-on from the loco, and the others follow-on the Actor in front of each.

Follow Locked - Follow an Actor with one or more of the three coordinates locked. The unlocked coordinates are free to be moved. An example would be a 'chase plane' camera that follows an aircraft in the X and Y coordinates, but varies in the Z coordinate for dramatic effect.


Next Frame

Display the next frameof the animation in the Camera View and make it current.


Open Path

An Open Path has a distinct starting and ending point. Must have at least two nodes.

Open Path

Note the Node/Vertex Tool can be used to modify the shape and number of points describing the path.


OpenGL Shaded view

Shaded View - OpenGL

The OpenGL Shaded Camera view displays a shaded rendering (with or without image maps) of the Camera View.

OpenGL with Image Maps On

The OpenGL shaded Camera View defaults as on. You can quicky toggle between the shaded OpenGL Camera view and the Wireframe Camera view by pressing F11 or right clicking on the Camera window and choosing "Hide/Show OpenGL Camera View".

You can turn off the display of image maps by right clicking on the Camera window and choosing "Image Mapping Off". Shaded rendering is faster and uses less memory if image mapping if off, especially if large sky images are present.

OpenGL with Image Maps Off


Path Editor Dialog

The Path Editor dialog is used to modify the shape and number of control points along a Path. The Path Editor dialog appears when a Path is selected with the Vertex/Node Selector Tool.

Move - Moves one of the path nodes by clicking and dragging it. If a node is highlighted and you click away from any path node and proceed to drag, the highlighted node will move.

Add - Clicking on a node in the path will add another control node in front of it.

Delete - Clicking on a node in a path will delete it from the path. It is not possible to delete the first or last node of any path. A closed path must have at least three nodes.


Path Types

Path costumes may be open, closed, or loaded from a previously save PTH file.

Open - A path with a distinct starting and ending point. Must have at least two nodes.

Closed - A path that loops. Must have at least three nodes.

Filed (Loaded)- An Open or Closed path that was created in the Designer and saved as a .PTH file.

Copy (Copied) - Inserts a copy of a specified path that was previously inserted into the Animator.


Path Velocity Curve

The Path Travel Editor enables you to control the speed and direction of an Actor travels along a Path.

Ease-in and Ease-out can be controlled here.


Pen Tool

Draw Tool

This tool plots a curve (composed of a set of vertices and edges ) in the Working-Volume view windows.

Place the first vertex of the curve by clicking once in one of the Working-Volume view windows. Click and drag the 3D Cursor (a rubber band line is drawn between the last vertex inserted and the 3D Cursor while the left mouse button is held down) to the desired position of the next vertex of the curve. Release the left mouse button to create the next vertex of the curve. If you just click the left mouse button, a vertex is added at that point.

If the "Shift" key is held down while dragging the mouse then the extending line is constrained to 45° angles. The active window will scroll as the mouse approaches the edge of the window.

If the "Ctrl key" is held down then no new vertices are created. This enables positioning of the 3D Cursor in two windows before re-commencing drawing.

If the "Alt" key is held down then when the mouse is clicked a "New edge" is started. The "New edge" is not attached to any previous vertex on the curve.

The DrawTool can also be used to draw edges between existing vertices by clicking exactly on top of the desired vertex.

To enable the 3D Plot Tool , double-click on the DrawTool.

See also:
Face and Edge Creation
Strutting and Faceting


Play Animation

Play Animation in Wireframe Mode

Preview the animation in the camera window. If the Camera window is displayed using OpenGL shading, the animation preview will be played with models showing the full wireframe edges. If the Camera window is displayed in wireframe mode, then the animation preview will be displayed showing only a percentage of the model's edges.

If the animation playback is too slow, use the Preview function available under the Frame menu. Click on Stop to stop the playback and set the current frame to the frame which the playback has reached. Click on Cancel to keep the frame in which the playback was started as the current frame.

Note
To preview the animation with OpenGL shading, select Update OpenGL Script Viewer from the Window menu or press the F12 key.


Play Bounding Box

Play Animation in Bounding Box Mode

Preview the animation in the camera window using bounding boxes or the bounding shape that has been built into the model.


Pose Robot

Enables posing of a Robot actor. Robot movement is animated by specifying a specific pose for each keyframe. The animated sequence of Robot Poses will generate smooth character motion.

To Pose a Robot, select the Robot Actor and choose the Vertex Selector Tool (or press the V key). When Robot edit mode is entered, the Robot Hierarchy dialog and Robot View window will appear. The Robot Hierarchy dialog and Robot View can be changed in size and moved around the screen.

A selected Joint is pivoted by clicking in one of the Working-Volume windows and dragging the mouse to the left or right. The selected joint is highlighted in both the Skeleton (Working-Volume) and the Robot Hierarchy Treeview.

Select a Joint by:
 | 1) | Clicking on a Robot Joint in the Working-Volume.
 | 2) | Clicking on an icon in the Robot Hierarchy Treeview.

The Robot Hierarchy dialog provides a Treeview and Toolbar for selecting a Joint to pivot about and perform other editing actions. A comprehensive set of axes around which the joint may be pivoted is provided. One set of axes is relative to the hierarchical structure and the other is relative to the Robot as a whole.

Commands
 | Load Pose from file.
 | Save current Pose in file.
 | Reset current Pose to the pose of the inserted Robot Actor.
 | Reset Selected Joint.
 | Copy Pose from last keyframe.
 | Zoom in on the selected joint or its Pivot point in the Robot View Window.
 | Toggle Zoom in position to the Selected Joint or Pivot point.
 | Enables the skeleton to be drawn superimposed on the shaded Robot view.
 | Draws the bounding boxes transparently to reveal the skeleton inside.

Pivot Axis - Local to the selected Joint.
 | Pivot about axis from parent joint to it's parent.
 | Pivot at a right angle about axis from parent joint.
 | Pivot at a right angle to the above two.about axis from parent joint.
 | Pivot child vertices around the selected (local) joint.
Pivot Axis - Global to the Robot. These axes are the same ones that are available in the Designer and their orientation can be set when the robot is built.
 | Pivot about an axis running from the back to the font of the robot.
 | Pivot about an axis running from the right to the left of the robot.
 | Pivot about an axis running vertically down through the robot.

The Robot View provides a local (perspective - any angle) view of each Robot Actor showing selected joint and pivot axis.

The Robot View will always be centered on the selected Robot and show it's pose. Pan the Robot-View or use the sliders to change your view point. Note that the Robot View is independent of what the Robot is doing (moving, rotating, etc.) on the stage. In the Robot View, the selected joint is indicated by a large white circle and the axis about which that selected joint will pivot is shown as a white line.

The Robot-View can be displayed as wireframe by unchecking the "Use OpenGL for Robot Pose" checkbox in the General tab page of the Preferences dialog.


Previous

Previous Frame

Display the previous frame in the Camera View and make it current.


Quick Render

Quick Render to Camera View

Renders the current frame directly in the Camera View.

Quick Rendering uses full Phong rendering with maps, textures, reflections, etc.at an antialiasing level at medium. Great for quick previews! F12 is the hot key for Quick Render.

Tip: Quick Render is much faster if monitor color depth is set to 16 million colors. Otherwise the rendering displays color banding and renders significantly slower.


Refractive Index

Specifies the Index of Refraction for the selected faces .

Refraction is only calculated if the Trace Reflections and Trace Glass option on turned on in the Trace Tab page of the Render dialog.

Refraction is the bending of light as it passes through a transparent surface. This quality is responsible for the optical properties of a lens or magnifying glass. Refraction is also apparent when you look at a room through a glass full of water. Light is bent once as it passes through one side of the glass, again as it enters and exits the water, and again as it passes through the far wall of the glass.

The amount that light bends as it passes through any given material is defined by a standard number called the "Index of Refraction."

Material | Index of Refraction
Air | 1.0 (no refraction)
Glass | 1.2 - 1.9
Water | 1.33 (1.3 for ice)
Diamond | 2.4


Quick Render

Quick Render to Camera View

Right click on the Camera or view Windows and choose Quick Render to quickly preview a frame with phong rendering (OpenGL renders as Gourand) using maps, shaders, reflections, etc.

Note that the Quick Render option is not available whenOpenGL display is on.

Tip: Quick Render is much faster if monitor color depth is set to 16 million colors. Otherwise the rendering displays colour banding and renders slower.


Renderer

The Renderer is the module that creates the photographic images of models built in the Designer and the animated sequence of images as directed in the Animator .

Rendering is quite a time consuming process and the time it takes is very dependent on the size image being produced and the complexity of the Actor's costumes.

The Renderer module can be used in a mode (called the Script Renderer) that does not need either the Animator or Designer modules to be loaded. The Script Renderer may also be run on several others PCs at the same time.

See:

  • Renderer Overview
  • Render Control Tab Page
  • Render Options Tab Page
  • Render Settings Tab Page
  • Render Trace Tab Page


Renderer Help

The Renderer is the module that creates the photographic images of models built in the Designer and the animated sequence of images as directed in the Animator.

Rendering can be a time consuming process that is very dependent on the size image being produced and the complexity of the Actor's costumes. Rendering is by default a Scanline Phong renderer. Various levels of Ray tracing can be enabled in the Tracing tab page. Phong rendering is suggested in most cases since ray tracing is notoriously memory and time intensive.

Select the desired settings in the Control, Options, Settings, and Tracing tab pages of the Renderer dialog. Press the Render button at the bottom of the Renderer dialog to start rendering. Note that test renders be done quicker using the File > Quick Render (F12).

The renderer is multi-threaded and will benefit greatly if additional processors are installed in the system. Rendering on a two processor system will almost be twice as fast as with one processor.

The Renderer module can be used in a mode (called the Script Renderer) that does not need either the Animate or Design modules to be loaded. The Script Renderer may also be run on several others PCs at the same time.


Render_Setup

Render Setup...

Launches the Renderer.

Select the desired settings in the Control, Options, Settings, and Tracing tab pages of the Renderer dialog. Press the Render button at the bottom of the Renderer dialog to start rendering. Note that test renders be done quicker using the File > Quick Render (F12).

The renderer defaults to a Scanline Phong renderer. Various levels of Ray tracing can be enabled in the Tracing tab page. Phong rendering is suggested in most cases since ray tracing is notoriously memory and time intensive.

The renderer is multi-threaded and will benefit greatly if additional processors are installed in the system. Rendering on a two processor system will almost be twice as fast as with one processor.


Rotation Channel

Rotation TImeline

The Rotation Timeline is the third timeline (green colored horizontal bar) in the Keyframer and controls where and how an Actor will rotate or be aligned from keyframe to keyframe.

All settings are grouped in a single dialog which will appear when a timeline is created or edited. The dialog shows the timeline extent, the alignment (in degrees) in three axes of the Actor, and the Rotation Type.

The Delete button deletes the rotation timeline.

The Cut button deletes the current timeline and shifts all later rotation timelines back in time to fill the gap.

The Copy button copies the rotation characteristics of another Actor.


Rotation Types

The animation module provides a dozen rotation types or ways to rotate or align an Actor.

Tween - The rotation of the Actor is interpolated linearly between its rotation at the first keyframe and its rotation in the last keyframe of the timeline. Simply put, in half the time it will have made half the rotation.

Smooth Tween - The Actor's alignment will accelerate between keyframes to give a smooth rotation. This creates much more natural motion. Used with a camera, for example, it will produce a realistic panning action with ease-in and ease-out. Hint: Use a single frame key following the end of the pan to prevent overshoot.

The last three types of rotation require that the Actor Aligns To, Looks At, or Mimics its rotation from another Actor. Specify the Actor to be Looked At by clicking the Select button in the Target box. After an Actor has been selected, the radio buttons for the Looking At options will be enabled.

Align to Path - If an Actor is following a path, then this sets its rotation to follow the direction of the path. For example, a plane following a path can be made to turn as the path turns.

Look At - The Actor is forced to point at another Actor. The actual point of aim is the selection handle or Model Center of the targeted Actor.

Mimic - Give this Actor exactly the same alignment as the targeted Actor.

Internal Rotation - There are a few special rotations that are difficult to arrange manually, quite commonly desired, and are best described as 'internal motion'. The buttons in the box marked Internal Rotation give a quick way of specifying motions that are 'internal,' that is, relative to the Actor, no matter what other actions the Actor is performing. The rotor blades of a moving helicopter are a good example of internal rotation. The Actor's direction can still be specified in its key frames, while the internal rotation is 'underlaid' on the tween.


Scale Channel

Scale TImeline

The Scale Timeline is the fourth timeline (red colored horizontal bar) in the Keyframer and controls how an Actor will change size from keyframe to keyframe.

The scale of the Actor is interpolated between the keyframes in the timeline. If there is no additional keyframe, the scale from the single keyframe applies to all frames.

All settings are grouped in a single dialog which will appear when a timeline is created or edited. The dialog shows the timeline extent and the scale in three axes of the Actor in current units.

Bouncy - Scale values interpolate using either a linear or quadratic rule with on being quadratic. The quadratic method can give a smoother looking effect, but in some cases it can get quite bouncy.

The Delete button deletes the timeline.

The Reset button sets all scale values to unity.

The Store button copies the scale values to a temporary buffer for use later.

The Set button sets the scale values those previously stored.

The Copy button copies the scale characteristics of another Actor.


Special Effect...

This command is used to apply a special effect to a model during the rendering process.

It is important to note that the appearance of a model in the bounding box modes of the Animation module does not show the special effects. Effects are only visible when a wireframe is rendered.

Special effects deform the vertices of a costume or cause certain faces of a costume to disappear. Because these effects occur at the costume level, the position, rotation and scaling timelines are completely independent. However, the effect on the rendered animation is very dependent on the design of the model that the Actor is using as its costume. The number and size of triangular faces used are the most important factors in special effects. However, the order in which faces were created in the Designer can strongly influence the 'building' effects. Effects such as the waves rely on having enough vertices to show an effect. For example you can not see a wave passing through a rectangle consisting of two triangles. Subdividing the rectangle to at least 1000 faces will allow the effect to show to its full potential.

Effects may also be added or changed by editing a model's costume timeline in the Keyframer module.


Spline Tween Mode

Enables the spline tween mode for moving Actors along editable tracks. The Spline Tween Mode edit options are separated into the Track tab page and the Direction tab page.

Note that Spline Tween Mode enables you to view and edit the entire animation at once without stepping from frame to frame! Frame->Next (>) and Frame->Previous (<) can be used to step through the frames to watch the selected Actor move from point to point along its track.

Only Tween or Spline Tween movement timeline types can have a track, any other movement timeline types (e.g. Look At) cannot enter Edit Track mode. If they are Tween the segments in the track will be straight lines, if they are Spline Tween the segments will be curved. If the selected Actor has no movement timelines, appropriate timelines will be added automatically when Edit Actor Track mode is entered for the first time.


Spline Tween Movement

The position of the Actor is interpolated on a spline curve anchored by keyframes which removes the effect of sharp corners at keyframes. This provides more natural motion with acceleration and deceleration rather than rigid starts and stops.

A spline curved track is visible in the Working-Volume when the Spline Tween Mode is enabled.

Note: The default Movement Timeline setting is Tween so Spline Tween mode must first be set in the Movement Timeline of the selected Actor to generate a curved path.


Track

A track is an implied path that an Actor can follow throughout an animation.

Spline Tween Track

A track appears as a series of line segments (Tween) or curved (Spline Tween) with small squares along the length of each piece indicating where the Actor will be in each frame of the animation. It all looks very much like a string of beads, where each bead is a frame and the larger beads are keyframes. The above example has 10 frames with 3 keyframes (the purple squares).

A track will only be visible if the Actor has at least two contiguous movement timelines. If the Actor does not move, all the points on its track will be at the same place, and therefore difficult to see!


Track Tab Page

Controls for the movement of an Actor along a Track

Move - The position of the Actor at keyframes on the track is altered by clicking on a keyframe indicator to pick it up. Move the mouse and the keyframe position will follow the mouse. Click again to set the indicator down. If a non-keyframe frame indicator is clicked you will be prompted with the option to make it a keyframe.

Time Shift - Adjusts which frames are the keyframes in the selected Actor's movement timeline. Click on the keyframe indicator (large square) to pick it up. Move the mouse left or right to shift the keyframe to an earlier or later frame. Click again to set the indicator down. This is like slipping beads up or down the string running through them.

Delete - Demotes a Keyframe to a normal frame.

Tension - Controls the elasticity (curviness) of the track. This is like tightening or loosening the string running through the selected bead. Move the mouse left or right to adjust the tension in the spline (curviness of the curve). This only applies if the Movement timeline is of Spline Tween type.


Tween Movement

The position of the Actor is interpolated linearly between the first keyframe and the following keyframe.

For example, if the Actor has movement timelines in frames 1-1 and 2-10 and it is at (0,0,0) in frame 1 and at (10,10,0) in frame 10 then it will be at (5,5,0) in frame 5. Put simply, in half the time it will move half the distance.

A linear or straight line track is visible in the Working-Volume when the Spline Tween Mode is enabled.

Note: The default Movement Timeline setting is Tween.


Vertex_Selector_Tool

Vertex/Node Selector Tool

Select and move a Path node, Spline-tween path node, or Robot Joint.

This tool is sensitive to the type of actor it is applied to and its action depends on the state of the Spline-Tweening toggle in the Edit menu and on the type of Actor selected.


WindowBox

Working-Volume

The Working-Volume is a cubic volume of space which is used as the working environment for building models and setting up animations. It can be moved around and changed in size so that detailed movements can be made on a small scale.

The Working-Volume views show what's inside it:

TOP | Top looking down
FRONT | Front looking back
SIDE | Right side looking left

The Camera view is a 3D rendering of the Actors in the Working-Volume.


Wireframe Camera View

The Wireframe Camera View displays a wireframe rendering of the Camera View.

To display the Camera View in wireframe mode, you can invoke the Hide OpenGL Camera View menu, press the F11 key, or right click on the Camera Window and choose Show OpenGL Camera View.

Note you can also draw the Camera view with hidden lines removed by right clicking on the Camera window and selecting the Draw Hidden Line context menu.

To toggle the OpenGL Shaded Camera View back on you can invoke the Show OpenGL Camera View menu, press the F11 key, or right click on the Camera Window and choose Show OpenGL Camera View.


Postprocessor Atmospherics

Atmospherics Post Processor

This image post processor plug in allows you to create atmospheric effects. It is controlled through the dialog below but we warn you it is very slow to compute in most cases and can be quite 'fiddly' to set up so that you get the effect you require.

SFXplugAtmosXX1.GIF (45198 bytes)

Having given you the above warning here are some basic instructions about the settings and roughly how they work.

The first thing to appreciate is that there are two types of atmospheric effect covered in the dialog:

  1. A detailed simulation that carries out volume integration to creates effects such as 'volume shadowing'. This involves a time consuming calculation and the adjustment of several parameters and will always need some experiment to get the effect required. The settings of Samples, Super Dense Fog, Extra Strong Shadowing and Maximum Attenuation all effect the results you get with this effect.
  2. The second type of atmospheric effect uses a fast approximation and may give you the effect you require without the need for detailed calculations. To use it set the Use Fast check box and hit the radio button for the type of effect you require. (The other settings do NOT affect the 'fast' apprximation).

The effect works in connection with lights and the Volume shadowing effects only work with 'SPOTLIGHTS' so the first controls in the dialog allow you to specify the lights involved with the effect. These are basically the same contols that appear in many of the other plugin modules.

The 'Fast' Approximations
The best way to illustrate these effects with some examples, so starting with this basic scene showing a simple model illuminated with a single spotlight:

SFXplugAtmosXX2.GIF (15124 bytes) SFXplugAtmosXX3.gif (13723 bytes)

Adding the Atmospherics image post processor to the light in the scene with each of the 'fast' effects produces the results shown below:

Adding Streaks gives a pretty good representation of a dusty atmosphere, or possibly underwater:

SFXplugAtmosXX4.gif (17132 bytes)

Bands of Dust :

SFXplugAtmosXX5.gif (17368 bytes)

Random Dusty Particles:

SFXplugAtmosXX6.gif (25039 bytes)

Cloudy or smoky atmosphere::

SFXplugAtmosXX7.gif (17330 bytes)

No other settings have any effects on these 'fast' settings and they work with 'Spotlights' only.

'Full Volume Integration'
To obtain a full volume integration a kind of 'Ray Tracing' calculation is required, one ray for each pixel in the image is traced through the scene and at each sample point (controlled by the Samples setting) a calculation determines how much attenuation due to fog there is and whether that point lies in shadow from the named light or not. If the point is in shadow the scattered light due to fog particle is less and thus the fog appears less dense. Thus the more accurate the calculation is to be be the higher the number of Samples needs to be. However the larger the samples setting the slower is the calculation so you need to experiment with a single frame before continuing to render a full animation.

The other settings control the appearance of the Fog. For a basic fog the Super Dense Fog and Extra Strong Shadowing settings can be left at 0.0. They can be increased for cases were, for example, you want to show a light shining out through a box into a very dusty atmosphere.

For most cases the default sample of 16 may not be enough the examples below were rendered using 32 samples per 'traced ray':

Starting with a slight variation on the basic scene:

SFXplugAtmosXXfull0.gif (8305 bytes)

Rendering 32 samples per ray and all other settings left at their default values SDF (Super Dense Fog)=0.0 ESS(Extra Strong Shadowing)=0.0 MA(Max. Atten=0.96) we get:

SFXplugAtmosXXfull1.gif (17293 bytes)

Notice how the fog effect is less marked in that part where the atmosphere is shaded from the light by the object. This is caused because those parts of the atmosphere that are in shadow scatter the light less than those that are not in shadow. Reducing the value of Maximum Attenuation to 0.25 reduces the density of the fog:

SFXplugAtmosXX9.gif (15670 bytes)

To see the effect of using ESS=1.0 look at the image below . (For a scene of this nature an ESS setting of 0.0 would probably be more appropriate):

SFXplugAtmosXXfull2.gif (17729 bytes)

Notice how the shadow is more pronounced. This is a little artificial for a scene such as this. Compare it with the two images above.

To see the effect of Super Dense Fog look at the following SDF=1.5

SFXplugAtmosXXfull3.gif (12077 bytes)

The whole fog looks overexposed. This setting is not well suited to a scene like this. An SDF > 0.0 fog is best used for lights shining out through windows (for example) into a foggy environment where there may only be a few rays passing through that part of the atmosphere which is in shadow. In those cases it should be uses in conjunction with a high value of extra strong shadowing (ESS > 0.5).

We will look at some other examples:

Firstly if you are very short of time you can use a low setting for the number of samples combined with a higher setting of extra strong fog. The image below came from a rendering with only 5 samples per ray and a setting of 0.3 for ESS:

SFXplugAtmosXX8.gif (22633 bytes)

Here two models are in the beam of the spotlight with one (the plane) casting its shadow over the other (the Ape). In an animation you can see the model of the plane pass through the beam of the spotlight.

In the example below 16 samples are sufficient to render a light shining out through some holes in a box if the maximum superdense setting of 3.0 used:

SFXplugAtmosXXex0.GIF (19538 bytes) SFXplugAtmosXXex1.gif (32682 bytes)

SFXplugAtmosXXex2.gif (31154 bytes) SFXplugAtmosXXex3.gif (31471 bytes)

In the above example (atmos_full_ex3.stg) a post-process fog is combined with the atmospheric volumetric dusty atmosphere. Note that as you actually 'see' the light through one of the holes (frame 3 above) the whole raster is rendered in the fog colour.

In this last example (Atmos_full_ex4.stg) a slightly less intense effect of light shining through a shaped slit in an object is obtained by setting the SDF value to 1.0 and reducing the maximum attenuation MA to 0.5.

SFXplugAtmosXXex4.gif (47471 bytes) SFXplugAtmosXXex5.gif (32447 bytes)

Comments:

  1. The more of the screen that is covered by areas that are illuminated the longer it will take to render the scene. The image with the Ape and Camera above has only about 1/3 of the full frame covered by atmosphere illuminated with the spotlight. In the scene below a light is directed from behind the aeroplane model and towards the camera, in this case the whole image is illuminated and it takes a lot long to render:
    SFXplugAtmosXXB.GIF (16860 bytes) SFXplugAtmosXXA.gif (38398 bytes)
  2. The need for experimentation cannot be stressed enough. There are no hard ad fast rules about setting up this post-processor. Download the examples and experiment with them. AND NOTE THAT THE PATHS to MODELS IMAGES and POST PROCESSORS themselves may not be the same on your system so you may need to fiddle about a bit.
  3. As usual the ATMOS.XFX and ATMOS.DLL files are placed in the POSTPROCESS subdirectory of the program folder.
  4. The 'fast' approximations are very fast, they don't slow down rendering at all.


Post Processor FireballPlugin

Post Processor Fireballs and Explosions

This plug in XFX image processor adds the capability to generate Fractal fireballs and explosions.

Remember that for image processors the .DLL, .AVI and .XFX files should be placed in the POSTPROCESS subdirectory.

This is an animated XFX image processor and its appearance changes over a range of frames. Thus although it can be added as a global effect it is best used as an Image Effects (F/X) object (Actor).

This plugin is controlled through the dialog below:

fireball1.gif (47745 bytes)

The effect of the controls in the Dialog Box (showing the default settings) will be explained shortly but before we look at these we must discuss how this works.

Like the Halo and Lens Flare effects the Fireball effect is attached to a Light. Although it can be attached to normal lights it is best to associate it with a Specific Named Dummy Light. Now here is the main restriction:

The light it is attached to must be An Attenuated Light Source

If you try to use a fireball with a non attenuated light source it will NOT work. The reason we need to use an attenuated light source is that there has to be some way to tell the effect how big the explosion/fireball is to be. Using an attenuated light source gives a visual indication in the Animator's three view windows of a sphere where the attenuated light falls to one half of its defined intensity. This effect uses this sphere as a container for the effect so that you can be reasonably confident that the fireball or explosion will occur inside the sphere. Therefore if you expand this sphere the explosion will occupy a larger volume of space. Because the effect is fractal three will be some deviation of the size so it is still best to do a few test renderings at low resolution to ensure you have the size you want, and here is the final warning:

The volumetric integration of fractal functions is SLOW so the effect can take quite a while to do its business

However the results can be quite spectacular!

XFXfireball2ps.jpg (7203 bytes)

Click here to see larger image

Controlling the effect (Dialog Parameters):

The switches:

  • Flames
    When this button is checked the appearance is more like the flickering flames of a fire as opposed to the more cloud like appearance of a fireball.
    temp.gif (12904 bytes) temp1.gif (21608 bytes)
  • Explosion
    When this box is checked the effect grows from nothing to a peak of fire after one third of its duration it then decays away to a dark smokey cloud that disperses away unit it finally disappears at the end of the duration. Check out the animated clip.

Light Settings
The Light settings and Choose light button speak for themselves, many other SFX image processor use them. Make sure you have read the paragraph above.

Colour Settings
There are three settings. The dark colour is used for the smoke cloud that occurs at the then of an explosion. The Centre colour is at the heart of the fireball and the Outer colour is for the edges of the flames or explosion.

Noise Smoothness
The noise smoothness governs the feature detail. When small the features are small and if viewed from far away will appear as just dots. (Rather in the same way that the features of a surface texture disappear when a fine texture is pained onto a very large surface area which is then viewed from far enough away so that the whole surface is visible.) When the noise smoothness is large there are few details, in the case of cloud like fireballs the balls of fire are large and each one shows little texture feature.

temp.gif (48513 bytes)

It is important to get the settings of this parameter correct in relation to the size of light's falloff sphere. Some experimentation may be necessary. As the light falloff sphere increases in size it may be necessary to increase Noise smoothness settings.

Density
Use the density setting to make the effect brighter, there is also an element of "see through" on less dense settings. Several fireballs can be overlapped for extra effect. Use a low density when mixing effects.

temp.gif (35054 bytes)

Regularity
The regularity (Default 0.2 shown in images above) governs how regular the explosion appears a value of 0.1 gives the appearance of the explosion consisting of a lot of irregular and disjoint blobs. A value of about 2.0 gives a nearly perfect spherical outline. See the images below.

temp.gif (33016 bytes)

Vertical Stretch
Use this setting to elongate the fireball, for example it you want to simulate flames leaping from a fire. The image below used a vertical stretch factor of 3.

temp2.gif (8497 bytes)

Expansion
When this value is set to its default then the size of falloff sphere should normally enclose the fireball. If you want the effect to occupy a smaller or larger volume without having to resize the lights 1/2 attenuation sphere then adjust this parameter. (Perhaps you want to attach two fireballs with different sizes to a single light). When set to 2.0 the effect occupies a spherical volume of twice the diameter of the lights 1/2 attenuation sphere.

Samples
The samples setting controls the quality of the fractal integration, a large value will give a more detailed fireball but it will take longer to compute it. A value as low as 4 can still give a very good looking fireball. The images in this specification were produced with a setting of 4. (The default is 16).